/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const CHECKED = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.checkedLabel',
  {
    defaultMessage: 'checked',
  }
);

export const DOCS = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.docsLabel',
  {
    defaultMessage: 'Docs',
  }
);

export const SIZE = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.sizeLabel',
  {
    defaultMessage: 'Size',
  }
);

export const INCOMPATIBLE_FIELDS = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.incompatibleFieldsLabel',
  {
    defaultMessage: 'Incompatible fields',
  }
);

export const INDICES = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.indicesLabel',
  {
    defaultMessage: 'Indices',
  }
);

export const INDICES_CHECKED = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.indicesCheckedLabel',
  {
    defaultMessage: 'Indices checked',
  }
);

export const SAME_FAMILY = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.sameFamilyLabel',
  {
    defaultMessage: 'Same family',
  }
);

export const INCOMPATIBLE_INDEX_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.incompatibleIndexToolTip',
  {
    defaultMessage: 'Mappings and values incompatible with ECS',
  }
);

export const TOTAL_INCOMPATIBLE_PATTERN_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalIncompatiblePatternToolTip',
  {
    defaultMessage:
      'Total number of checked fields incompatible with ECS in indices matching this index pattern',
  }
);

export const TOTAL_DOCS_PATTERN_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalDocsPatternToolTip',
  {
    defaultMessage: 'Total number of docs in indices matching this index pattern',
  }
);

export const TOTAL_SIZE_PATTERN_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalSizePatternToolTip',
  {
    defaultMessage: 'Total size of indices (excluding replicas) matching this index pattern',
  }
);

export const TOTAL_CHECKED_INDICES_PATTERN_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalCheckedIndicesPatternToolTip',
  {
    defaultMessage: 'Total number of checked indices matching this index pattern',
  }
);

export const TOTAL_INDICES_PATTERN_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalIndicesPatternToolTip',
  {
    defaultMessage: 'Total number of indices matching this index pattern',
  }
);

export const TOTAL_DOCS_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalDocsToolTip',
  {
    defaultMessage: 'Total number of docs in all indices',
  }
);

export const TOTAL_INCOMPATIBLE_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalIncompatibleToolTip',
  {
    defaultMessage: 'Total number of checked fields incompatible with ECS',
  }
);

export const TOTAL_CHECKED_INDICES_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalCheckedIndicesToolTip',
  {
    defaultMessage: 'Total number of checked indices',
  }
);

export const TOTAL_INDICES_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalIndicesToolTip',
  {
    defaultMessage: 'Total number of indices',
  }
);

export const TOTAL_SIZE_TOOL_TIP = i18n.translate(
  'securitySolutionPackages.ecsDataQualityDashboard.statLabels.totalSizeToolTip',
  {
    defaultMessage: 'Total size of indices (excluding replicas)',
  }
);
