/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Create endpoint list item API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  ExceptionListItemHumanId,
  ExceptionListItemType,
  ExceptionListItemName,
  ExceptionListItemDescription,
  ExceptionListItemOsTypeArray,
  ExceptionListItemTags,
  ExceptionListItemMeta,
  ExceptionListItemCommentArray,
} from '@kbn/securitysolution-exceptions-common/api/model/exception_list_common.gen';
import { ExceptionListItemEntryArray } from '@kbn/securitysolution-exceptions-common/api/model/exception_list_item_entry.gen';
import { EndpointListItem } from '../model/endpoint_list_common.gen';

export type CreateEndpointListItemRequestBody = z.infer<typeof CreateEndpointListItemRequestBody>;
export const CreateEndpointListItemRequestBody = z.object({
  item_id: ExceptionListItemHumanId.optional(),
  type: ExceptionListItemType,
  name: ExceptionListItemName,
  description: ExceptionListItemDescription,
  entries: ExceptionListItemEntryArray,
  os_types: ExceptionListItemOsTypeArray.optional().default([]),
  tags: ExceptionListItemTags.optional().default([]),
  meta: ExceptionListItemMeta.optional(),
  comments: ExceptionListItemCommentArray.optional().default([]),
});
export type CreateEndpointListItemRequestBodyInput = z.input<
  typeof CreateEndpointListItemRequestBody
>;

export type CreateEndpointListItemResponse = z.infer<typeof CreateEndpointListItemResponse>;
export const CreateEndpointListItemResponse = EndpointListItem;
