/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Create exception list item API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import { NonEmptyString } from '@kbn/openapi-common/schemas/primitives.gen';
import {
  ExceptionListItemHumanId,
  ExceptionListHumanId,
  ExceptionListItemType,
  ExceptionListItemName,
  ExceptionListItemDescription,
  ExceptionNamespaceType,
  ExceptionListItemOsTypeArray,
  ExceptionListItemTags,
  ExceptionListItemMeta,
  ExceptionListItemExpireTime,
  ExceptionListItem,
} from '../model/exception_list_common.gen';
import { ExceptionListItemEntryArray } from '../model/exception_list_item_entry.gen';

export type CreateExceptionListItemComment = z.infer<typeof CreateExceptionListItemComment>;
export const CreateExceptionListItemComment = z.object({
  comment: NonEmptyString,
});

export type CreateExceptionListItemCommentArray = z.infer<
  typeof CreateExceptionListItemCommentArray
>;
export const CreateExceptionListItemCommentArray = z.array(CreateExceptionListItemComment);

export type CreateExceptionListItemRequestBody = z.infer<typeof CreateExceptionListItemRequestBody>;
export const CreateExceptionListItemRequestBody = z.object({
  item_id: ExceptionListItemHumanId.optional(),
  list_id: ExceptionListHumanId,
  type: ExceptionListItemType,
  name: ExceptionListItemName,
  description: ExceptionListItemDescription,
  entries: ExceptionListItemEntryArray,
  namespace_type: ExceptionNamespaceType.optional().default('single'),
  os_types: ExceptionListItemOsTypeArray.optional().default([]),
  tags: ExceptionListItemTags.optional().default([]),
  meta: ExceptionListItemMeta.optional(),
  expire_time: ExceptionListItemExpireTime.optional(),
  comments: CreateExceptionListItemCommentArray.optional().default([]),
});
export type CreateExceptionListItemRequestBodyInput = z.input<
  typeof CreateExceptionListItemRequestBody
>;

export type CreateExceptionListItemResponse = z.infer<typeof CreateExceptionListItemResponse>;
export const CreateExceptionListItemResponse = ExceptionListItem;
