/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Export exception list API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  ExceptionListId,
  ExceptionListHumanId,
  ExceptionNamespaceType,
} from '../model/exception_list_common.gen';

export type ExportExceptionListRequestQuery = z.infer<typeof ExportExceptionListRequestQuery>;
export const ExportExceptionListRequestQuery = z.object({
  id: ExceptionListId,
  list_id: ExceptionListHumanId,
  namespace_type: ExceptionNamespaceType,
  /**
   * Determines whether to include expired exceptions in the exported list. Expiration date defined by `expire_time`.
   */
  include_expired_exceptions: z.enum(['true', 'false']).default('true'),
});
export type ExportExceptionListRequestQueryInput = z.input<typeof ExportExceptionListRequestQuery>;
