/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Update exception list API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  ExceptionListId,
  ExceptionListHumanId,
  ExceptionListName,
  ExceptionListDescription,
  ExceptionListType,
  ExceptionNamespaceType,
  ExceptionListOsTypeArray,
  ExceptionListTags,
  ExceptionListMeta,
  ExceptionListVersion,
  ExceptionList,
} from '../model/exception_list_common.gen';

export type UpdateExceptionListRequestBody = z.infer<typeof UpdateExceptionListRequestBody>;
export const UpdateExceptionListRequestBody = z.object({
  id: ExceptionListId.optional(),
  list_id: ExceptionListHumanId.optional(),
  name: ExceptionListName,
  description: ExceptionListDescription,
  type: ExceptionListType,
  namespace_type: ExceptionNamespaceType.optional().default('single'),
  os_types: ExceptionListOsTypeArray.optional().default([]),
  tags: ExceptionListTags.optional(),
  meta: ExceptionListMeta.optional(),
  version: ExceptionListVersion.optional(),
  /**
   * The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
   */
  _version: z.string().optional(),
});
export type UpdateExceptionListRequestBodyInput = z.input<typeof UpdateExceptionListRequestBody>;

export type UpdateExceptionListResponse = z.infer<typeof UpdateExceptionListResponse>;
export const UpdateExceptionListResponse = ExceptionList;
