/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Create value list API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  ListId,
  ListName,
  ListDescription,
  ListType,
  ListSerializer,
  ListDeserializer,
  ListMetadata,
} from '../model/list_common.gen';
import { List } from '../model/list_schemas.gen';

export type CreateListRequestBody = z.infer<typeof CreateListRequestBody>;
export const CreateListRequestBody = z.object({
  id: ListId.optional(),
  name: ListName,
  description: ListDescription,
  type: ListType,
  serializer: ListSerializer.optional(),
  deserializer: ListDeserializer.optional(),
  meta: ListMetadata.optional(),
  version: z.number().int().min(1).optional().default(1),
});
export type CreateListRequestBodyInput = z.input<typeof CreateListRequestBody>;

export type CreateListResponse = z.infer<typeof CreateListResponse>;
export const CreateListResponse = List;
