/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Read value list item API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import { ListId } from '../model/list_common.gen';
import { ListItem } from '../model/list_schemas.gen';

export type ReadListItemRequestQuery = z.infer<typeof ReadListItemRequestQuery>;
export const ReadListItemRequestQuery = z.object({
  /**
   * Value list item identifier. Required if `list_id` and `value` are not specified.
   */
  id: ListId.optional(),
  /**
   * Value list item list's `id` identfier. Required if `id` is not specified.
   */
  list_id: ListId.optional(),
  /**
   * The value used to evaluate exceptions. Required if `id` is not specified.
   */
  value: z.string().optional(),
});
export type ReadListItemRequestQueryInput = z.input<typeof ReadListItemRequestQuery>;

export type ReadListItemResponse = z.infer<typeof ReadListItemResponse>;
export const ReadListItemResponse = z.union([ListItem, z.array(ListItem)]);
