/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { IndicesStatsIndicesStats } from '@elastic/elasticsearch/lib/api/types';

/**
 * In a deployment where indices have a `yellow` health status, the
	@@ -14,555 +14,17 @@ import { IndicesStatsIndicesStats } from '@elastic/elasticsearch/lib/api/types';
 * `primaries.docs.count` and `total.docs.count` have the same value, per this
 * mock `_stats` API output
 */
export const mockStatsYellowIndex: Record<string, IndicesStatsIndicesStats> = {
  '.ds-packetbeat-8.6.1-2023.02.04-000001': {
    uuid: 'x5Uuw4j4QM2YidHLNixCwg',
    health: 'yellow',
    status: 'open',
    primaries: {
      docs: {
        count: 1628343,
        deleted: 0,
      },
      shard_stats: {
        total_count: 1,
      },
      store: {
        size_in_bytes: 731583142,
        total_data_set_size_in_bytes: 731583142,
        reserved_in_bytes: 0,
      },
      indexing: {
        index_total: 0,
        index_time_in_millis: 0,
        index_current: 0,
        index_failed: 0,
        delete_total: 0,
        delete_time_in_millis: 0,
        delete_current: 0,
        noop_update_total: 0,
        is_throttled: false,
        throttle_time_in_millis: 0,
      },
      get: {
        total: 0,
        time_in_millis: 0,
        exists_total: 0,
        exists_time_in_millis: 0,
        missing_total: 0,
        missing_time_in_millis: 0,
        current: 0,
      },
      search: {
        open_contexts: 0,
        query_total: 32,
        query_time_in_millis: 111,
        query_current: 0,
        fetch_total: 32,
        fetch_time_in_millis: 0,
        fetch_current: 0,
        scroll_total: 0,
        scroll_time_in_millis: 0,
        scroll_current: 0,
        suggest_total: 0,
        suggest_time_in_millis: 0,
        suggest_current: 0,
      },
      merges: {
        current: 0,
        current_docs: 0,
        current_size_in_bytes: 0,
        total: 0,
        total_time_in_millis: 0,
        total_docs: 0,
        total_size_in_bytes: 0,
        total_stopped_time_in_millis: 0,
        total_throttled_time_in_millis: 0,
        total_auto_throttle_in_bytes: 20971520,
      },
      refresh: {
        total: 2,
        total_time_in_millis: 0,
        external_total: 2,
        external_total_time_in_millis: 15,
        listeners: 0,
      },
      flush: {
        total: 1,
        periodic: 1,
        total_time_in_millis: 0,
      },
      warmer: {
        current: 0,
        total: 1,
        total_time_in_millis: 15,
      },
      query_cache: {
        memory_size_in_bytes: 0,
        total_count: 301,
        hit_count: 0,
        miss_count: 301,
        cache_size: 0,
        cache_count: 0,
        evictions: 0,
      },
      fielddata: {
        memory_size_in_bytes: 1080,
        evictions: 0,
      },
      completion: {
        size_in_bytes: 0,
      },
      segments: {
        count: 19,
        memory_in_bytes: 0,
        terms_memory_in_bytes: 0,
        stored_fields_memory_in_bytes: 0,
        term_vectors_memory_in_bytes: 0,
        norms_memory_in_bytes: 0,
        points_memory_in_bytes: 0,
        doc_values_memory_in_bytes: 0,
        index_writer_memory_in_bytes: 0,
        version_map_memory_in_bytes: 0,
        fixed_bit_set_memory_in_bytes: 304,
        max_unsafe_auto_id_timestamp: -1,
        file_sizes: {},
      },
      translog: {
        operations: 0,
        size_in_bytes: 55,
        uncommitted_operations: 0,
        uncommitted_size_in_bytes: 55,
        earliest_last_modified_age: 136482466,
      },
      request_cache: {
        memory_size_in_bytes: 3680,
        evictions: 0,
        hit_count: 28,
        miss_count: 4,
      },
      recovery: {
        current_as_source: 0,
        current_as_target: 0,
        throttle_time_in_millis: 0,
      },
      bulk: {
        total_operations: 0,
        total_time_in_millis: 0,
        total_size_in_bytes: 0,
        avg_time_in_millis: 0,
        avg_size_in_bytes: 0,
      },
    },
    total: {
      docs: {
        count: 1628343,
        deleted: 0,
      },
      shard_stats: {
        total_count: 1,
      },
      store: {
        size_in_bytes: 731583142,
        total_data_set_size_in_bytes: 731583142,
        reserved_in_bytes: 0,
      },
      indexing: {
        index_total: 0,
        index_time_in_millis: 0,
        index_current: 0,
        index_failed: 0,
        delete_total: 0,
        delete_time_in_millis: 0,
        delete_current: 0,
        noop_update_total: 0,
        is_throttled: false,
        throttle_time_in_millis: 0,
      },
      get: {
        total: 0,
        time_in_millis: 0,
        exists_total: 0,
        exists_time_in_millis: 0,
        missing_total: 0,
        missing_time_in_millis: 0,
        current: 0,
      },
      search: {
        open_contexts: 0,
        query_total: 32,
        query_time_in_millis: 111,
        query_current: 0,
        fetch_total: 32,
        fetch_time_in_millis: 0,
        fetch_current: 0,
        scroll_total: 0,
        scroll_time_in_millis: 0,
        scroll_current: 0,
        suggest_total: 0,
        suggest_time_in_millis: 0,
        suggest_current: 0,
      },
      merges: {
        current: 0,
        current_docs: 0,
        current_size_in_bytes: 0,
        total: 0,
        total_time_in_millis: 0,
        total_docs: 0,
        total_size_in_bytes: 0,
        total_stopped_time_in_millis: 0,
        total_throttled_time_in_millis: 0,
        total_auto_throttle_in_bytes: 20971520,
      },
      refresh: {
        total: 2,
        total_time_in_millis: 0,
        external_total: 2,
        external_total_time_in_millis: 15,
        listeners: 0,
      },
      flush: {
        total: 1,
        periodic: 1,
        total_time_in_millis: 0,
      },
      warmer: {
        current: 0,
        total: 1,
        total_time_in_millis: 15,
      },
      query_cache: {
        memory_size_in_bytes: 0,
        total_count: 301,
        hit_count: 0,
        miss_count: 301,
        cache_size: 0,
        cache_count: 0,
        evictions: 0,
      },
      fielddata: {
        memory_size_in_bytes: 1080,
        evictions: 0,
      },
      completion: {
        size_in_bytes: 0,
      },
      segments: {
        count: 19,
        memory_in_bytes: 0,
        terms_memory_in_bytes: 0,
        stored_fields_memory_in_bytes: 0,
        term_vectors_memory_in_bytes: 0,
        norms_memory_in_bytes: 0,
        points_memory_in_bytes: 0,
        doc_values_memory_in_bytes: 0,
        index_writer_memory_in_bytes: 0,
        version_map_memory_in_bytes: 0,
        fixed_bit_set_memory_in_bytes: 304,
        max_unsafe_auto_id_timestamp: -1,
        file_sizes: {},
      },
      translog: {
        operations: 0,
        size_in_bytes: 55,
        uncommitted_operations: 0,
        uncommitted_size_in_bytes: 55,
        earliest_last_modified_age: 136482466,
      },
      request_cache: {
        memory_size_in_bytes: 3680,
        evictions: 0,
        hit_count: 28,
        miss_count: 4,
      },
      recovery: {
        current_as_source: 0,
        current_as_target: 0,
        throttle_time_in_millis: 0,
      },
      bulk: {
        total_operations: 0,
        total_time_in_millis: 0,
        total_size_in_bytes: 0,
        avg_time_in_millis: 0,
        avg_size_in_bytes: 0,
      },
    },
  },
  '.ds-packetbeat-8.5.3-2023.02.04-000001': {
    uuid: 'we0vNWm2Q6iz6uHubyHS6Q',
    health: 'yellow',
    status: 'open',
    primaries: {
      docs: {
        count: 1630289,
        deleted: 0,
      },
      shard_stats: {
        total_count: 1,
      },
      store: {
        size_in_bytes: 733175040,
        total_data_set_size_in_bytes: 733175040,
        reserved_in_bytes: 0,
      },
      indexing: {
        index_total: 0,
        index_time_in_millis: 0,
        index_current: 0,
        index_failed: 0,
        delete_total: 0,
        delete_time_in_millis: 0,
        delete_current: 0,
        noop_update_total: 0,
        is_throttled: false,
        throttle_time_in_millis: 0,
      },
      get: {
        total: 0,
        time_in_millis: 0,
        exists_total: 0,
        exists_time_in_millis: 0,
        missing_total: 0,
        missing_time_in_millis: 0,
        current: 0,
      },
      search: {
        open_contexts: 0,
        query_total: 32,
        query_time_in_millis: 111,
        query_current: 0,
        fetch_total: 32,
        fetch_time_in_millis: 0,
        fetch_current: 0,
        scroll_total: 0,
        scroll_time_in_millis: 0,
        scroll_current: 0,
        suggest_total: 0,
        suggest_time_in_millis: 0,
        suggest_current: 0,
      },
      merges: {
        current: 0,
        current_docs: 0,
        current_size_in_bytes: 0,
        total: 0,
        total_time_in_millis: 0,
        total_docs: 0,
        total_size_in_bytes: 0,
        total_stopped_time_in_millis: 0,
        total_throttled_time_in_millis: 0,
        total_auto_throttle_in_bytes: 20971520,
      },
      refresh: {
        total: 2,
        total_time_in_millis: 0,
        external_total: 2,
        external_total_time_in_millis: 2,
        listeners: 0,
      },
      flush: {
        total: 1,
        periodic: 1,
        total_time_in_millis: 0,
      },
      warmer: {
        current: 0,
        total: 1,
        total_time_in_millis: 2,
      },
      query_cache: {
        memory_size_in_bytes: 0,
        total_count: 203,
        hit_count: 0,
        miss_count: 203,
        cache_size: 0,
        cache_count: 0,
        evictions: 0,
      },
      fielddata: {
        memory_size_in_bytes: 1168,
        evictions: 0,
      },
      completion: {
        size_in_bytes: 0,
      },
      segments: {
        count: 20,
        memory_in_bytes: 0,
        terms_memory_in_bytes: 0,
        stored_fields_memory_in_bytes: 0,
        term_vectors_memory_in_bytes: 0,
        norms_memory_in_bytes: 0,
        points_memory_in_bytes: 0,
        doc_values_memory_in_bytes: 0,
        index_writer_memory_in_bytes: 0,
        version_map_memory_in_bytes: 0,
        fixed_bit_set_memory_in_bytes: 320,
        max_unsafe_auto_id_timestamp: -1,
        file_sizes: {},
      },
      translog: {
        operations: 0,
        size_in_bytes: 55,
        uncommitted_operations: 0,
        uncommitted_size_in_bytes: 55,
        earliest_last_modified_age: 136482425,
      },
      request_cache: {
        memory_size_in_bytes: 3688,
        evictions: 0,
        hit_count: 28,
        miss_count: 4,
      },
      recovery: {
        current_as_source: 0,
        current_as_target: 0,
        throttle_time_in_millis: 0,
      },
      bulk: {
        total_operations: 0,
        total_time_in_millis: 0,
        total_size_in_bytes: 0,
        avg_time_in_millis: 0,
        avg_size_in_bytes: 0,
      },
    },
    total: {
      docs: {
        count: 1630289,
        deleted: 0,
      },
      shard_stats: {
        total_count: 1,
      },
      store: {
        size_in_bytes: 733175040,
        total_data_set_size_in_bytes: 733175040,
        reserved_in_bytes: 0,
      },
      indexing: {
        index_total: 0,
        index_time_in_millis: 0,
        index_current: 0,
        index_failed: 0,
        delete_total: 0,
        delete_time_in_millis: 0,
        delete_current: 0,
        noop_update_total: 0,
        is_throttled: false,
        throttle_time_in_millis: 0,
      },
      get: {
        total: 0,
        time_in_millis: 0,
        exists_total: 0,
        exists_time_in_millis: 0,
        missing_total: 0,
        missing_time_in_millis: 0,
        current: 0,
      },
      search: {
        open_contexts: 0,
        query_total: 32,
        query_time_in_millis: 111,
        query_current: 0,
        fetch_total: 32,
        fetch_time_in_millis: 0,
        fetch_current: 0,
        scroll_total: 0,
        scroll_time_in_millis: 0,
        scroll_current: 0,
        suggest_total: 0,
        suggest_time_in_millis: 0,
        suggest_current: 0,
      },
      merges: {
        current: 0,
        current_docs: 0,
        current_size_in_bytes: 0,
        total: 0,
        total_time_in_millis: 0,
        total_docs: 0,
        total_size_in_bytes: 0,
        total_stopped_time_in_millis: 0,
        total_throttled_time_in_millis: 0,
        total_auto_throttle_in_bytes: 20971520,
      },
      refresh: {
        total: 2,
        total_time_in_millis: 0,
        external_total: 2,
        external_total_time_in_millis: 2,
        listeners: 0,
      },
      flush: {
        total: 1,
        periodic: 1,
        total_time_in_millis: 0,
      },
      warmer: {
        current: 0,
        total: 1,
        total_time_in_millis: 2,
      },
      query_cache: {
        memory_size_in_bytes: 0,
        total_count: 203,
        hit_count: 0,
        miss_count: 203,
        cache_size: 0,
        cache_count: 0,
        evictions: 0,
      },
      fielddata: {
        memory_size_in_bytes: 1168,
        evictions: 0,
      },
      completion: {
        size_in_bytes: 0,
      },
      segments: {
        count: 20,
        memory_in_bytes: 0,
        terms_memory_in_bytes: 0,
        stored_fields_memory_in_bytes: 0,
        term_vectors_memory_in_bytes: 0,
        norms_memory_in_bytes: 0,
        points_memory_in_bytes: 0,
        doc_values_memory_in_bytes: 0,
        index_writer_memory_in_bytes: 0,
        version_map_memory_in_bytes: 0,
        fixed_bit_set_memory_in_bytes: 320,
        max_unsafe_auto_id_timestamp: -1,
        file_sizes: {},
      },
      translog: {
        operations: 0,
        size_in_bytes: 55,
        uncommitted_operations: 0,
        uncommitted_size_in_bytes: 55,
        earliest_last_modified_age: 136482425,
      },
      request_cache: {
        memory_size_in_bytes: 3688,
        evictions: 0,
        hit_count: 28,
        miss_count: 4,
      },
      recovery: {
        current_as_source: 0,
        current_as_target: 0,
        throttle_time_in_millis: 0,
      },
      bulk: {
        total_operations: 0,
        total_time_in_millis: 0,
        total_size_in_bytes: 0,
        avg_time_in_millis: 0,
        avg_size_in_bytes: 0,
      },
    },
  },
};
