/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { AnonymizationFieldResponse } from '@kbn/elastic-assistant-common/impl/schemas/anonymization_fields/bulk_crud_anonymization_fields_route.gen';

export const DEFAULT_EVAL_ANONYMIZATION_FIELDS: AnonymizationFieldResponse[] = [
  {
    id: 'Mx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: '_id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'NB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: '@timestamp',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'NR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'cloud.availability_zone',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Nh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'cloud.provider',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Nx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'cloud.region',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'OB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'destination.ip',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'OR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'dns.question.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Oh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'dns.question.type',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Ox09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'event.category',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'PB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'event.dataset',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'PR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'event.module',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Ph09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'event.outcome',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Px09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'file.Ext.original.path',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'QB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'file.hash.sha256',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'QR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'file.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Qh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'file.path',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Qx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'group.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'RB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'group.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'RR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'host.asset.criticality',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Rh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'host.name',
    allowed: true,
    anonymized: true,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Rx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'host.os.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'SB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'host.os.version',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'SR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'host.risk.calculated_level',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Sh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'host.risk.calculated_score_norm',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Sx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.original_time',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'TB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.risk_score',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'TR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.description',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Th09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Tx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.references',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'UB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.framework',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'UR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.tactic.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Uh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.tactic.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Ux09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.tactic.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'VB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.technique.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'VR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.technique.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Vh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.technique.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Vx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.technique.subtechnique.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'WB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.technique.subtechnique.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'WR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.rule.threat.technique.subtechnique.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Wh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.severity',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Wx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'kibana.alert.workflow_status',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'XB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'message',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'XR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'network.protocol',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Xh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.args',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Xx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.code_signature.exists',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'YB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.code_signature.signing_id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'YR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.code_signature.status',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Yh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.code_signature.subject_name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Yx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.code_signature.trusted',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ZB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.command_line',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ZR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.executable',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Zh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.exit_code',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'Zx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.Ext.memory_region.bytes_compressed_present',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'aB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.Ext.memory_region.malware_signature.all_names',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'aR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.Ext.memory_region.malware_signature.primary.matches',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ah09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.Ext.memory_region.malware_signature.primary.signature.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ax09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.Ext.token.integrity_level_name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'bB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.hash.md5',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'bR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.hash.sha1',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'bh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.hash.sha256',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'bx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'cB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.args',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'cR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.args_count',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ch09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.code_signature.exists',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'cx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.code_signature.status',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'dB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.code_signature.subject_name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'dR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.code_signature.trusted',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'dh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.command_line',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'dx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.executable',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'eB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.parent.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'eR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.pe.original_file_name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'eh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.pid',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ex09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'process.working_directory',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'fB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.feature',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'fR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.data',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'fh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.entropy',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'fx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.extension',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'gB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.metrics',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'gR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.operation',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'gh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.path',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'gx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.files.score',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'hB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'Ransomware.version',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'hR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'rule.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'hh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'rule.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'hx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'source.ip',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'iB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.framework',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'iR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.tactic.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ih09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.tactic.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'ix09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.tactic.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'jB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.technique.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'jR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.technique.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'jh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.technique.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'jx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.technique.subtechnique.id',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'kB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.technique.subtechnique.name',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'kR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'threat.technique.subtechnique.reference',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'kh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'user.asset.criticality',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'kx09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'user.domain',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'lB09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'user.name',
    allowed: true,
    anonymized: true,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'lR09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'user.risk.calculated_level',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
  {
    id: 'lh09VpEBOiz7eA-eF2fb',
    timestamp: '2024-08-15T13:32:10.073Z',
    field: 'user.risk.calculated_score_norm',
    allowed: true,
    anonymized: false,
    createdAt: '2024-08-15T13:32:10.073Z',
    namespace: 'default',
  },
];
