/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Execution Result Schema
 *   version: not applicable
 */

import { z } from '@kbn/zod';

/**
 * Rule execution result is an aggregate that groups plain rule execution events by execution UUID. It contains such information as execution UUID, date, status and metrics.
 */
export type RuleExecutionResult = z.infer<typeof RuleExecutionResult>;
export const RuleExecutionResult = z.object({
  execution_uuid: z.string(),
  timestamp: z.string().datetime(),
  duration_ms: z.number().int(),
  status: z.string(),
  message: z.string(),
  num_active_alerts: z.number().int(),
  num_new_alerts: z.number().int(),
  num_recovered_alerts: z.number().int(),
  num_triggered_actions: z.number().int(),
  num_succeeded_actions: z.number().int(),
  num_errored_actions: z.number().int(),
  total_search_duration_ms: z.number().int(),
  es_search_duration_ms: z.number().int(),
  schedule_delay_ms: z.number().int(),
  timed_out: z.boolean(),
  indexing_duration_ms: z.number().int(),
  search_duration_ms: z.number().int(),
  gap_duration_s: z.number().int(),
  security_status: z.string(),
  security_message: z.string(),
  /**
   * Backfill information for the rule execution result with source event date range
   */
  backfill: z
    .object({
      from: z.string().datetime(),
      to: z.string().datetime(),
    })
    .optional(),
});

/**
 * We support sorting rule execution results by these fields.
 */
export type SortFieldOfRuleExecutionResult = z.infer<typeof SortFieldOfRuleExecutionResult>;
export const SortFieldOfRuleExecutionResult = z.enum([
  'timestamp',
  'duration_ms',
  'gap_duration_s',
  'indexing_duration_ms',
  'search_duration_ms',
  'schedule_delay_ms',
]);
export type SortFieldOfRuleExecutionResultEnum = typeof SortFieldOfRuleExecutionResult.enum;
export const SortFieldOfRuleExecutionResultEnum = SortFieldOfRuleExecutionResult.enum;
