/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: RunScript Action Schema
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import { SuccessResponse } from '../../../model/schema/common.gen';

export type RawScriptParameters = z.infer<typeof RawScriptParameters>;
export const RawScriptParameters = z.object({
  /**
   * Raw script content.
   */
  raw: z.string().min(1),
  /**
   * Command line arguments.
   */
  commandLine: z.string().min(1).optional(),
  /**
   * Timeout in seconds.
   */
  timeout: z.number().int().min(1).optional(),
});

export type HostPathScriptParameters = z.infer<typeof HostPathScriptParameters>;
export const HostPathScriptParameters = z.object({
  /**
   * Absolute or relative path of script on host machine.
   */
  hostPath: z.string().min(1),
  /**
   * Command line arguments.
   */
  commandLine: z.string().min(1).optional(),
  /**
   * Timeout in seconds.
   */
  timeout: z.number().int().min(1).optional(),
});

export type CloudFileScriptParameters = z.infer<typeof CloudFileScriptParameters>;
export const CloudFileScriptParameters = z.object({
  /**
   * Script name in cloud storage.
   */
  cloudFile: z.string().min(1),
  /**
   * Command line arguments.
   */
  commandLine: z.string().min(1).optional(),
  /**
   * Timeout in seconds.
   */
  timeout: z.number().int().min(1).optional(),
});

export type RunScriptRouteRequestBody = z.infer<typeof RunScriptRouteRequestBody>;
export const RunScriptRouteRequestBody = z.object({
  /**
   * Exactly one of 'Raw', 'HostPath', or 'CloudFile' must be provided. CommandLine and Timeout are optional for all.
   */
  parameters: z.union([RawScriptParameters, HostPathScriptParameters, CloudFileScriptParameters]),
});

export type RunScriptActionRequestBody = z.infer<typeof RunScriptActionRequestBody>;
export const RunScriptActionRequestBody = RunScriptRouteRequestBody;
export type RunScriptActionRequestBodyInput = z.input<typeof RunScriptActionRequestBody>;

export type RunScriptActionResponse = z.infer<typeof RunScriptActionResponse>;
export const RunScriptActionResponse = SuccessResponse;
