/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Suspend Process Schema
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import { BaseActionSchema } from '../../../model/schema/common.gen';

export type SuspendProcessRouteRequestBody = z.infer<typeof SuspendProcessRouteRequestBody>;
export const SuspendProcessRouteRequestBody = BaseActionSchema.merge(
  z.object({
    parameters: z.union([
      z.object({
        /**
         * The process ID (PID) of the process to suspend.
         */
        pid: z.number().int().min(1).optional(),
      }),
      z.object({
        /**
         * The entity ID of the process to suspend.
         */
        entity_id: z.string().min(1).optional(),
      }),
    ]),
  })
);

export type SuspendProcessRouteResponse = z.infer<typeof SuspendProcessRouteResponse>;
export const SuspendProcessRouteResponse = z.object({});

export type EndpointSuspendProcessActionRequestBody = z.infer<
  typeof EndpointSuspendProcessActionRequestBody
>;
export const EndpointSuspendProcessActionRequestBody = SuspendProcessRouteRequestBody;
export type EndpointSuspendProcessActionRequestBodyInput = z.input<
  typeof EndpointSuspendProcessActionRequestBody
>;

export type EndpointSuspendProcessActionResponse = z.infer<
  typeof EndpointSuspendProcessActionResponse
>;
export const EndpointSuspendProcessActionResponse = SuspendProcessRouteResponse;
