/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: RiskScoresCalculation types
 *   version: 1
 */

import { z } from '@kbn/zod';

import { AfterKeys, EntityRiskScoreRecord } from '../common/common.gen';

export type RiskScoresCalculationResponse = z.infer<typeof RiskScoresCalculationResponse>;
export const RiskScoresCalculationResponse = z.object({
  /**
   * Used to obtain the next "page" of risk scores. See also the `after_keys` key in a risk scores request. If this key is empty, the calculation is complete.
   */
  after_keys: AfterKeys,
  /**
   * A list of errors encountered during the calculation.
   */
  errors: z.array(z.string()),
  /**
   * The number of risk scores persisted to elasticsearch.
   */
  scores_written: z.number(),
  scores: z
    .object({
      /**
       * A list of host risk scores
       */
      host: z.array(EntityRiskScoreRecord).optional(),
      /**
       * A list of user risk scores
       */
      user: z.array(EntityRiskScoreRecord).optional(),
      /**
       * A list of service risk scores
       */
      service: z.array(EntityRiskScoreRecord).optional(),
      /**
       * A list of universal risk scores
       */
      universal: z.array(EntityRiskScoreRecord).optional(),
      /**
       * If 'wait_for' the request will wait for the index refresh.
       */
      refresh: z.literal('wait_for').optional(),
    })
    .optional(),
});
