/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Risk Scoring API
 *   version: 1
 */

import { z } from '@kbn/zod';

export type RiskEngineStatus = z.infer<typeof RiskEngineStatus>;
export const RiskEngineStatus = z.enum(['NOT_INSTALLED', 'DISABLED', 'ENABLED']);
export type RiskEngineStatusEnum = typeof RiskEngineStatus.enum;
export const RiskEngineStatusEnum = RiskEngineStatus.enum;

export type RiskEngineTaskStatusValues = z.infer<typeof RiskEngineTaskStatusValues>;
export const RiskEngineTaskStatusValues = z.enum([
  'idle',
  'claiming',
  'running',
  'failed',
  'should_delete',
  'unrecognized',
  'dead_letter',
]);
export type RiskEngineTaskStatusValuesEnum = typeof RiskEngineTaskStatusValues.enum;
export const RiskEngineTaskStatusValuesEnum = RiskEngineTaskStatusValues.enum;

export type RiskEngineTaskStatus = z.infer<typeof RiskEngineTaskStatus>;
export const RiskEngineTaskStatus = z.object({
  status: RiskEngineTaskStatusValues,
  runAt: z.string().datetime(),
  startedAt: z.string().datetime().optional(),
});

export type RiskEngineStatusResponse = z.infer<typeof RiskEngineStatusResponse>;
export const RiskEngineStatusResponse = z.object({
  risk_engine_status: RiskEngineStatus,
  risk_engine_task_status: RiskEngineTaskStatus.optional(),
});

export type GetRiskEngineStatusResponse = z.infer<typeof GetRiskEngineStatusResponse>;
export const GetRiskEngineStatusResponse = RiskEngineStatusResponse;
