# Test plans for workflows related to prebuilt rules

## Common information

See [common information](./prebuilt_rules_common_info.md) about prebuilt rules, which includes:

- Overview of our features built around prebuilt rules.
- Common terminology used in the test plans below.
- Common assumptions about testing scenarios.
- And other useful information.

## Test plans

Understand how we distribute prebuilt rules via a Fleet package and how prebuilt rules become available for installation and upgrade in the system:

- [Test plan: prebuilt rules package](./prebuilt_rules_package.md)

Learn how users can install prebuilt rules:

- [Test plan: installing prebuilt rules](./prebuilt_rule_installation.md)

Learn how users can edit and customize prebuilt rules:

- [Test plan: customizing prebuilt rules](./prebuilt_rule_customization.md)

Learn how users can upgrade prebuilt rules:

- [Test plan: upgrading prebuilt rules one-by-one or in bulk without preview](./prebuilt_rule_upgrade_without_preview.md)
- [Test plan: upgrading prebuilt rules one-by-one with preview](./prebuilt_rule_upgrade_with_preview.md)
- [Test plan: diff algorithms for upgrading prebuilt rules](./prebuilt_rule_upgrade_diff_algorithms.md)

Learn how users can export and import prebuilt rules:

- [Test plan: exporting prebuilt rules](./prebuilt_rule_export.md)
- [Test plan: importing prebuilt rules](./prebuilt_rule_import.md)
