/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ML_TITLE = i18n.translate('xpack.securitySolution.appLinks.ml.title', {
  defaultMessage: 'Machine learning',
});
export const ML_KEYWORD = i18n.translate('xpack.securitySolution.appLinks.ml.keyword', {
  defaultMessage: 'Machine learning',
});

export const ANOMALY_DETECTION_CATEGORY = i18n.translate(
  'xpack.securitySolution.navCategories.ml.anomalyDetection.title',
  {
    defaultMessage: 'Anomaly detection',
  }
);
export const DATA_FRAME_ANALYTICS_CATEGORY = i18n.translate(
  'xpack.securitySolution.navCategories.ml.dataFrameAnalyticstitle',
  {
    defaultMessage: 'Data frame analytics',
  }
);
export const MODEL_MANAGEMENT_CATEGORY = i18n.translate(
  'xpack.securitySolution.navCategories.ml.modelManagement.title',
  {
    defaultMessage: 'Model management',
  }
);
export const DATA_VISUALIZER_CATEGORY = i18n.translate(
  'xpack.securitySolution.navCategories.ml.dataVisualizer.title',
  {
    defaultMessage: 'Data visualizer',
  }
);
export const AIOPS_LABS_CATEGORY = i18n.translate(
  'xpack.securitySolution.navCategories.ml.aiopsLabs.title',
  {
    defaultMessage: 'Aiops labs',
  }
);

export const OVERVIEW_TITLE = i18n.translate('xpack.securitySolution.navLinks.ml.overview.title', {
  defaultMessage: 'Overview',
});
export const OVERVIEW_DESC = i18n.translate('xpack.securitySolution.navLinks.ml.overview.desc', {
  defaultMessage: 'Overview page',
});
export const NOTIFICATIONS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.notifications.title',
  {
    defaultMessage: 'Notifications',
  }
);
export const NOTIFICATIONS_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.notifications.desc',
  {
    defaultMessage: 'Notifications page',
  }
);
export const MEMORY_USAGE_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.memoryUsage.title',
  {
    defaultMessage: 'Memory usage',
  }
);
export const MEMORY_USAGE_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.memoryUsage.desc',
  {
    defaultMessage: 'Memory usage page',
  }
);
export const ANOMALY_DETECTION_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.anomalyDetection.title',
  {
    defaultMessage: 'Jobs',
  }
);
export const ANOMALY_DETECTION_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.anomalyDetection.desc',
  {
    defaultMessage: 'Jobs page',
  }
);
export const ANOMALY_EXPLORER_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.anomalyExplorer.title',
  {
    defaultMessage: 'Anomaly explorer',
  }
);
export const ANOMALY_EXPLORER_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.anomalyExplorer.desc',
  {
    defaultMessage: 'Anomaly explorer page',
  }
);
export const SINGLE_METRIC_VIEWER_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.singleMetricViewer.title',
  {
    defaultMessage: 'Single metric viewer',
  }
);
export const SINGLE_METRIC_VIEWER_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.singleMetricViewer.desc',
  {
    defaultMessage: 'Single metric viewer page',
  }
);
export const SUPPLIED_CONFIGURATIONS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.suppliedConfigurations.title',
  {
    defaultMessage: 'Supplied configurations',
  }
);
export const SUPPLIED_CONFIGURATIONS_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.suppliedConfigurations.desc',
  {
    defaultMessage: 'Supplied configurations page',
  }
);
export const SETTINGS_TITLE = i18n.translate('xpack.securitySolution.navLinks.ml.settings.title', {
  defaultMessage: 'Settings',
});
export const SETTINGS_DESC = i18n.translate('xpack.securitySolution.navLinks.ml.settings.desc', {
  defaultMessage: 'Settings page',
});
export const DATA_FRAME_ANALYTICS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.dataFrameAnalytics.title',
  {
    defaultMessage: 'Jobs',
  }
);
export const DATA_FRAME_ANALYTICS_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.dataFrameAnalytics.desc',
  {
    defaultMessage: 'Jobs page',
  }
);
export const RESULT_EXPLORER_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.resultExplorer.title',
  {
    defaultMessage: 'Result explorer',
  }
);
export const RESULT_EXPLORER_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.resultExplorer.desc',
  {
    defaultMessage: 'Result explorer page',
  }
);
export const ANALYTICS_MAP_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.analyticsMap.title',
  {
    defaultMessage: 'Analytics map',
  }
);
export const ANALYTICS_MAP_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.analyticsMap.desc',
  {
    defaultMessage: 'Analytics map page',
  }
);
export const NODES_OVERVIEW_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.nodesOverview.title',
  {
    defaultMessage: 'Trained models',
  }
);
export const NODES_OVERVIEW_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.nodesOverview.desc',
  {
    defaultMessage: 'Trained models page',
  }
);
export const NODES_TITLE = i18n.translate('xpack.securitySolution.navLinks.ml.nodes.title', {
  defaultMessage: 'Nodes',
});
export const NODES_DESC = i18n.translate('xpack.securitySolution.navLinks.ml.nodes.desc', {
  defaultMessage: 'Nodes page',
});
export const FILE_UPLOAD_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.fileUpload.title',
  {
    defaultMessage: 'File data visualizer',
  }
);
export const FILE_UPLOAD_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.fileUpload.desc',
  {
    defaultMessage: 'File data visualizer page',
  }
);
export const INDEX_DATA_VISUALIZER_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.indexDataVisualizer.title',
  {
    defaultMessage: 'Data view data visualizer',
  }
);
export const INDEX_DATA_VISUALIZER_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.indexDataVisualizer.desc',
  {
    defaultMessage: 'Data view data visualizer page',
  }
);
export const ESQL_DATA_VISUALIZER_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.esqlDataVisualizer.title',
  {
    defaultMessage: 'ES|QL data visualizer',
  }
);
export const ESQL_DATA_VISUALIZER_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.esqlDataVisualizer.desc',
  {
    defaultMessage: 'ES|QL data visualizer page',
  }
);
export const DATA_DRIFT_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.dataDrift.title',
  {
    defaultMessage: 'Data drift',
  }
);
export const DATA_COMPARISON_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.dataDrift.desc',
  {
    defaultMessage: 'Data drift page',
  }
);
export const LOG_RATE_ANALYSIS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.explainLogRateSpikes.title',
  {
    defaultMessage: 'Log Rate Analysis',
  }
);
export const LOG_RATE_ANALYSIS_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.explainLogRateSpikes.desc',
  {
    defaultMessage: 'Log Rate Analysis Page',
  }
);
export const LOG_PATTERN_ANALYSIS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.logPatternAnalysis.title',
  {
    defaultMessage: 'Log pattern analysis',
  }
);
export const LOG_PATTERN_ANALYSIS_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.logPatternAnalysis.desc',
  {
    defaultMessage: 'Log pattern analysis page',
  }
);
export const CHANGE_POINT_DETECTIONS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.ml.changePointDetections.title',
  {
    defaultMessage: 'Change point detection',
  }
);
export const CHANGE_POINT_DETECTIONS_DESC = i18n.translate(
  'xpack.securitySolution.navLinks.ml.changePointDetections.desc',
  {
    defaultMessage: 'Change point detection page',
  }
);
