/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const MANAGEMENT_TITLE = i18n.translate('xpack.securitySolution.navLinks.management.title', {
  defaultMessage: 'Stack Management',
});
export const INTEGRATIONS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.projectSettings.integrations.title',
  {
    defaultMessage: 'Integrations',
  }
);
export const MAPS_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.projectSettings.maps.title',
  {
    defaultMessage: 'Maps',
  }
);
export const MAPS_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.navLinks.projectSettings.maps.description',
  {
    defaultMessage:
      'Analyze geospatial data and identify geo patterns in multiple layers and indices.',
  }
);
export const VISUALIZE_TITLE = i18n.translate(
  'xpack.securitySolution.navLinks.projectSettings.visualize.title',
  {
    defaultMessage: 'Visualize library',
  }
);
export const VISUALIZE_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.navLinks.projectSettings.visualize.description',
  {
    defaultMessage: 'Manage visualization library. Create, edit, and share visualizations.',
  }
);
export const MONITORING_TITLE = i18n.translate('xpack.securitySolution.navLinks.monitoring.title', {
  defaultMessage: 'Stack Monitoring',
});
