/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const OVERVIEW = i18n.translate('xpack.securitySolution.navigation.overview', {
  defaultMessage: 'Overview',
});

export const DATA_QUALITY = i18n.translate(
  'xpack.securitySolution.navigation.ecsDataQualityDashboard',
  {
    defaultMessage: 'Data Quality',
  }
);

export const ENTITY_ANALYTICS_RISK_SCORE = i18n.translate(
  'xpack.securitySolution.navigation.entityRiskScore',
  {
    defaultMessage: 'Entity Risk Score',
  }
);

export const ENTITY_STORE = i18n.translate('xpack.securitySolution.navigation.entityStore', {
  defaultMessage: 'Entity Store',
});

export const NOTES = i18n.translate('xpack.securitySolution.navigation.notes', {
  defaultMessage: 'Notes',
});

export const ASSET_CRITICALITY = i18n.translate(
  'xpack.securitySolution.navigation.assetCriticality',
  {
    defaultMessage: 'Asset criticality',
  }
);

export const DETECTION_RESPONSE = i18n.translate(
  'xpack.securitySolution.navigation.detectionResponse',
  {
    defaultMessage: 'Detection & Response',
  }
);

export const ENTITY_ANALYTICS = i18n.translate(
  'xpack.securitySolution.navigation.entityAnalytics',
  {
    defaultMessage: 'Entity Analytics',
  }
);

export const HOSTS = i18n.translate('xpack.securitySolution.navigation.hosts', {
  defaultMessage: 'Hosts',
});

export const GETTING_STARTED = i18n.translate('xpack.securitySolution.navigation.gettingStarted', {
  defaultMessage: 'Get started',
});

export const DASHBOARDS = i18n.translate('xpack.securitySolution.navigation.dashboards', {
  defaultMessage: 'Dashboards',
});

export const COVERAGE_OVERVIEW = i18n.translate(
  'xpack.securitySolution.navigation.coverageOverviewDashboard',
  {
    defaultMessage: 'MITRE ATT&CK\u00AE Coverage',
  }
);

export const NETWORK = i18n.translate('xpack.securitySolution.navigation.network', {
  defaultMessage: 'Network',
});

export const USERS = i18n.translate('xpack.securitySolution.navigation.users', {
  defaultMessage: 'Users',
});

export const KUBERNETES = i18n.translate('xpack.securitySolution.navigation.kubernetes', {
  defaultMessage: 'Kubernetes',
});

export const RULES = i18n.translate('xpack.securitySolution.navigation.rules', {
  defaultMessage: 'Rules',
});

export const SIEM_RULES = i18n.translate('xpack.securitySolution.navigation.detectionRules', {
  defaultMessage: 'Detection rules (SIEM)',
});

export const ADD_RULES = i18n.translate('xpack.securitySolution.navigation.addRules', {
  defaultMessage: 'Add Rules',
});

export const EXCEPTIONS = i18n.translate('xpack.securitySolution.navigation.exceptions', {
  defaultMessage: 'Shared exception lists',
});

export const SIEM_MIGRATIONS_RULES = i18n.translate(
  'xpack.securitySolution.navigation.siemMigrationsRules',
  {
    defaultMessage: 'SIEM Rule Migrations',
  }
);

export const ALERTS = i18n.translate('xpack.securitySolution.navigation.alerts', {
  defaultMessage: 'Alerts',
});

export const ATTACK_DISCOVERY = i18n.translate(
  'xpack.securitySolution.navigation.attackDiscovery',
  {
    defaultMessage: 'Attack discovery',
  }
);

export const INVENTORY = i18n.translate('xpack.securitySolution.navigation.inventory', {
  defaultMessage: 'Inventory',
});

export const TIMELINES = i18n.translate('xpack.securitySolution.navigation.timelines', {
  defaultMessage: 'Timelines',
});

export const CASE = i18n.translate('xpack.securitySolution.navigation.case', {
  defaultMessage: 'Cases',
});

export const ADMINISTRATION = i18n.translate('xpack.securitySolution.navigation.administration', {
  defaultMessage: 'Administration',
});
export const ENDPOINTS = i18n.translate('xpack.securitySolution.search.administration.endpoints', {
  defaultMessage: 'Endpoints',
});
export const POLICIES = i18n.translate(
  'xpack.securitySolution.navigation.administration.policies',
  {
    defaultMessage: 'Policies',
  }
);
export const TRUSTED_APPLICATIONS = i18n.translate(
  'xpack.securitySolution.search.administration.trustedApps',
  {
    defaultMessage: 'Trusted applications',
  }
);
export const EVENT_FILTERS = i18n.translate(
  'xpack.securitySolution.search.administration.eventFilters',
  {
    defaultMessage: 'Event filters',
  }
);

export const HOST_ISOLATION_EXCEPTIONS = i18n.translate(
  'xpack.securitySolution.search.administration.hostIsolationExceptions',
  {
    defaultMessage: 'Host isolation exceptions',
  }
);
export const EXPLORE = i18n.translate('xpack.securitySolution.navigation.explore', {
  defaultMessage: 'Explore',
});
export const MANAGE = i18n.translate('xpack.securitySolution.navigation.manage', {
  defaultMessage: 'Manage',
});

export const BLOCKLIST = i18n.translate('xpack.securitySolution.navigation.blocklist', {
  defaultMessage: 'Blocklist',
});

export const RESPONSE_ACTIONS_HISTORY = i18n.translate(
  'xpack.securitySolution.navigation.responseActionsHistory',
  {
    defaultMessage: 'Response actions history',
  }
);

export const PROTECTION_UPDATES = i18n.translate(
  'xpack.securitySolution.navigation.protectionUpdates',
  {
    defaultMessage: 'Protection updates',
  }
);

export const CREATE_NEW_RULE = i18n.translate('xpack.securitySolution.navigation.newRuleTitle', {
  defaultMessage: 'Create new rule',
});
