/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { FindAnonymizationFieldsResponse } from '@kbn/elastic-assistant-common/impl/schemas/anonymization_fields/find_anonymization_fields_route.gen';

export const mockFindAnonymizationFieldsResponse: FindAnonymizationFieldsResponse = {
  perPage: 1000,
  page: 1,
  total: 66,
  data: [
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: '_id',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '6826fb6f-de83-4e19-b9e4-15718bda02e6',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: '@timestamp',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '1fd5c144-305c-450e-a936-18f7f9def540',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'cloud.availability_zone',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: 'fb5921d3-7db5-4d01-baf7-3ccea6821376',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'cloud.provider',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '9a192141-a4c2-44ab-95eb-5d0a3805c145',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'cloud.region',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '1eb7dc31-57af-4ed7-b24a-db9fb1e1db00',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'destination.ip',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: 'dffcf346-ddda-4371-9e86-1a2e01f23f20',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'dns.question.name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '66d17ebb-9383-42a1-be5f-595a588faea5',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'dns.question.type',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '3c7f3ba2-57c7-45fd-a694-52dae54c2b37',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'event.action',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'f86a5c81-a4cc-42dd-9f8b-2e6260d4be69',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'event.category',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'c96cc633-e570-464c-9827-719ccf317f55',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'event.dataset',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'ae76f45b-a6bb-43fe-9c6a-112989b6b830',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'event.module',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '56621747-ee9c-4ac9-8cfb-7f0eb0eb0f58',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'event.outcome',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'c630e9b5-d325-49a5-96fc-d079d8c28f10',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'event.type',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'f944135b-3d36-4499-a704-572a7c33571d',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'file.Ext.original.path',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '7f841425-b3eb-4052-9830-7b3170aee3d9',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'file.hash.sha256',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '78c58303-8c31-4d1d-af82-66f291750283',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'file.name',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: 'e8adf89d-cc47-4fbb-ac42-7d4edfa75937',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'file.path',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '2bf55b9d-bf2b-4641-8fd9-5b8fae700dc7',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'host.name',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '3214b504-33e0-4980-8e73-072fc2ec799e',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'host.risk.calculated_level',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'fc808e02-f725-4d3f-8ed9-522372f60e0e',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'host.risk.calculated_score_norm',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'abefa344-4af4-420d-bd3a-78280741eb63',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.original_time',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'ebc2fae3-65f6-4d13-94d0-1bd5c8e72238',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.last_detected',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '16eced8b-722e-4711-8e09-b904782f08b4',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.risk_score',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'c367170e-0796-4d73-9b24-e5482b3882b6',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.description',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '653b8ff2-8fed-4d2c-a0d8-d4864483ab28',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '7ba0c355-c5c2-4bc8-88ff-f8118fd0e371',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.references',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'b3f00bbc-0d79-448d-b2d1-e7c5d90fb06c',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.framework',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '3dbdc672-e0ac-4453-b473-213e88ca7c34',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.tactic.id',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'ecf85499-79dc-4232-97ef-99c94ea53ab8',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.tactic.name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '549d9471-f386-468d-9a1a-8ac0f8f883e1',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.tactic.reference',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '3736fde6-2f4d-4317-a2e6-a80609158ed2',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.technique.id',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '70ecbbee-179d-4374-b182-b659af054e38',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.technique.name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '7b8571e6-6a68-40b7-a9f4-1aa3310d4485',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.technique.reference',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '5d617446-57e9-4b62-9268-7c33d37c12a0',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.technique.subtechnique.id',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '6b4c6293-82e6-4d97-b0cf-6ef787e368ae',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.technique.subtechnique.name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'eebeb244-5167-4e02-8757-212e60ad3408',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.rule.threat.technique.subtechnique.reference',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '8f2dfc7c-2156-4241-84be-2424ab5865a5',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.severity',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '73fa9455-762a-4560-914c-840dcaa791db',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'kibana.alert.workflow_status',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '9041e89a-2309-43bb-b8a3-dac06779088a',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.args',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '8f6b5319-ac54-4e1c-a9df-7dd7c5cbf12a',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.command_line',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '05d464a7-c0a4-467b-a910-b18268882e0c',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.executable',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'a1d44665-db50-4b3a-a324-cd872f5bc257',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.Ext.token.integrity_level_name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '045c6e9d-67d6-4ae1-a82a-070dbdc233fb',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.entity_id',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '114b6d92-3364-4980-994c-272d940c4b36',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.exit_code',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '0f9bb041-f9d9-4298-a11d-d1a0451c6329',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.hash.md5',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '30c443eb-ede4-4b5e-9362-f9d5119cb49d',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.hash.sha1',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'f302583b-4eb8-4165-9f80-2eada21efc1f',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '178ec1d9-610b-40ed-a2c6-363d8608c7d8',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.hash.sha256',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '98b7369f-39a6-4ebd-98a6-e070239a59ad',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.args',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '4031b3da-8942-4666-bd37-e7178989f080',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.args_count',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '2f1789f0-9e70-4aee-941c-c50503578693',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.code_signature.exists',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'd0f2c054-ebab-4917-8445-3f064c8cf149',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.code_signature.status',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '71ebc690-fc6b-4a97-b804-1f45c4d5e499',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.code_signature.subject_name',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '5feb66e0-c4e1-4447-86aa-041305d5faff',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.code_signature.trusted',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '5c32f38f-7aac-4dec-b64d-7285ec098590',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.command_line',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '314f655d-43a7-4837-b684-1e6ec6a50bb2',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.entity_id',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '17380273-3c9f-4ba1-92a0-0ce9193fc04a',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.parent.executable',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'c464fd6e-95d1-4dec-9195-60d66c5115cb',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.pid',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '0f283737-f3e2-4870-9eed-292774793b79',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'process.working_directory',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'af104308-18d3-44f5-9727-dd16a351b90e',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'network.protocol',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '7656e41c-104b-43bf-9936-aaf347cc4a2c',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'source.ip',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: 'de1e7a59-340d-4325-8759-268713cb9647',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'user.domain',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: 'dea8d7e1-4495-433b-bf07-33e07e9abcd7',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'user.name',
      allowed: true,
      anonymized: true,
      namespace: 'default',
      id: '07986654-310a-4f59-aa76-c0b0fbd98fa6',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'user.risk.calculated_level',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: 'bc4e3747-28bd-488a-9fbf-7e30f76ff1ff',
    },
    {
      timestamp: '2024-04-11T16:43:41.234Z',
      createdAt: '2024-04-11T16:43:41.234Z',
      field: 'user.risk.calculated_score_norm',
      allowed: true,
      anonymized: false,
      namespace: 'default',
      id: '3287fb6a-25d2-46dd-8bb3-4590e22ff108',
    },
  ],
};
