/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const SIEM_HEADER = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siem.header',
  {
    defaultMessage: 'Elastic Security',
  }
);

export const SIEM_TITLE = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siem.title',
  {
    defaultMessage: 'Security at the speed of Elastic',
  }
);
export const SIEM_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siem.desc',
  {
    defaultMessage:
      'Elastic Security equips teams to prevent, detect, and respond to threats at cloud speed and scale — securing business operations with a unified, open platform.',
  }
);
export const SIEM_CTA = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siem.cta',
  {
    defaultMessage: 'Add security integrations',
  }
);

export const SIEM_CONTINUE = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siem.continue',
  {
    defaultMessage: 'Continue without adding integrations',
  }
);

export const ENDPOINT_TITLE = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.endpoint.title',
  {
    defaultMessage: 'Endpoint security at scale',
  }
);
export const ENDPOINT_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.endpoint.desc',
  {
    defaultMessage: 'Prevent, collect, detect and respond — all with Elastic Agent.',
  }
);

export const SIEM_CARD_TITLE = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siemCard.title',
  {
    defaultMessage: 'SIEM for the modern SOC',
  }
);
export const SIEM_CARD_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.siemCard.desc',
  {
    defaultMessage: 'Detect, investigate, and respond to evolving threats in your environment.',
  }
);

export const CLOUD_CARD_TITLE = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.cloudCard.title',
  {
    defaultMessage: 'Cloud protection end-to-end',
  }
);
export const CLOUD_CARD_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.cloudCard.desc',
  {
    defaultMessage: 'Assess your Cloud Posture and protect your workloads from attacks.',
  }
);

export const UNIFY_TITLE = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.unify.title',
  {
    defaultMessage: 'Unify SIEM, endpoint security, and cloud security',
  }
);
export const UNIFY_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.getStarted.landingCards.box.unify.desc',
  {
    defaultMessage:
      'Elastic Security modernizes security operations — enabling analytics across years of data, automating key processes, and protecting every host.',
  }
);
