/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const THREATS = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.threatsDescription',
  {
    defaultMessage: 'threats',
  }
);

export const TACTIC = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.tacticsDescription',
  {
    defaultMessage: 'tactic',
  }
);

export const TECHNIQUE = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.techniquesDescription',
  {
    defaultMessage: 'technique',
  }
);

export const SUBTECHNIQUE = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.subtechniquesDescription',
  {
    defaultMessage: 'subtechnique',
  }
);

export const ADD_MITRE_TACTIC = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.addTacticTitle',
  {
    defaultMessage: 'Add tactic',
  }
);

export const ADD_MITRE_TECHNIQUE = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.addTechniqueTitle',
  {
    defaultMessage: 'Add technique',
  }
);

export const ADD_MITRE_SUBTECHNIQUE = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.addSubtechniqueTitle',
  {
    defaultMessage: 'Add subtechnique',
  }
);

export const TACTIC_PLACEHOLDER = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.tacticPlaceHolderDescription',
  {
    defaultMessage: 'Select a tactic ...',
  }
);

export const TECHNIQUE_PLACEHOLDER = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.techniquePlaceHolderDescription',
  {
    defaultMessage: 'Select a technique ...',
  }
);

export const SUBTECHNIQUE_PLACEHOLDER = i18n.translate(
  'xpack.securitySolution.detectionEngine.mitreAttack.subtechniquePlaceHolderDescription',
  {
    defaultMessage: 'Select a subtechnique ...',
  }
);
