/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { RulePreviewLogs } from '../../../../../../common/api/detection_engine';

export const previewLogs: RulePreviewLogs[] = [
  {
    errors: [],
    warnings: [],
    startedAt: '2024-09-05T15:43:46.972Z',
    duration: 149,
    requests: [
      {
        request:
          'POST _query\n{\n  "query": "FROM packetbeat-8.14.2 metadata _id, _version, _index | limit 101",\n  "filter": {\n    "bool": {\n      "filter": [\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2024-09-05T15:43:46.972Z",\n              "gte": "2024-09-05T15:22:46.972Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        },\n        {\n          "bool": {\n            "must": [],\n            "filter": [],\n            "should": [],\n            "must_not": []\n          }\n        }\n      ]\n    }\n  }\n}',
        description: 'ES|QL request to find all matches',
        duration: 23,
      },
      {
        request:
          'POST /packetbeat-8.14.2/_search?ignore_unavailable=true\n{\n  "query": {\n    "bool": {\n      "filter": {\n        "ids": {\n          "values": [\n            "yB7awpEBluhaSO8ejVKZ",\n            "yR7awpEBluhaSO8ejVKZ",\n            "yh7awpEBluhaSO8ejVKZ",\n            "yx7awpEBluhaSO8ejVKZ",\n            "zB7awpEBluhaSO8ejVKZ",\n            "zR7awpEBluhaSO8ejVKZ",\n            "zh7awpEBluhaSO8ejVKZ",\n            "zx7awpEBluhaSO8ejVKZ",\n            "0B7awpEBluhaSO8ejVKZ",\n            "0R7awpEBluhaSO8ejVKZ",\n            "0h7awpEBluhaSO8ejVKZ",\n            "0x7awpEBluhaSO8ejVKZ",\n            "1B7awpEBluhaSO8ejVKZ",\n            "1R7awpEBluhaSO8ejVKZ",\n            "1h7awpEBluhaSO8ejVKZ",\n            "1x7awpEBluhaSO8ejVKZ",\n            "2B7awpEBluhaSO8ejVKZ",\n            "2R7awpEBluhaSO8ejVKZ",\n            "2h7awpEBluhaSO8ejVKZ",\n            "2x7awpEBluhaSO8ejVKZ",\n            "3B7awpEBluhaSO8ejVKZ",\n            "3R7awpEBluhaSO8ejVKZ",\n            "3h7awpEBluhaSO8ejVKZ",\n            "3x7awpEBluhaSO8ejVKZ",\n            "4B7awpEBluhaSO8ejVKZ",\n            "4R7awpEBluhaSO8ejVKZ",\n            "4h7awpEBluhaSO8ejVKZ",\n            "4x7awpEBluhaSO8ejVKZ",\n            "5B7awpEBluhaSO8ejVKZ",\n            "5R7awpEBluhaSO8ejVKZ",\n            "5h7awpEBluhaSO8ejVKZ",\n            "5x7awpEBluhaSO8ejVKZ",\n            "6B7awpEBluhaSO8ejVKZ",\n            "6R7awpEBluhaSO8ejVKZ",\n            "6h7awpEBluhaSO8ejVKZ",\n            "6x7awpEBluhaSO8ejVKZ",\n            "7B7awpEBluhaSO8ejVKZ",\n            "7R7awpEBluhaSO8ejVKZ",\n            "7h7awpEBluhaSO8ejVKZ",\n            "7x7awpEBluhaSO8ejVKZ",\n            "8B7awpEBluhaSO8ejVKZ",\n            "8R7awpEBluhaSO8ejVKZ",\n            "8h7awpEBluhaSO8ejVKZ",\n            "8x7awpEBluhaSO8ejVKZ",\n            "9B7awpEBluhaSO8ejVKZ",\n            "9R7awpEBluhaSO8ejVKZ",\n            "9h7awpEBluhaSO8ejVKZ",\n            "9x7awpEBluhaSO8ejVKZ",\n            "-B7awpEBluhaSO8ejVKZ",\n            "-R7awpEBluhaSO8ejVKZ",\n            "-h7awpEBluhaSO8ejVKZ",\n            "-x7awpEBluhaSO8ejVKZ",\n            "_B7awpEBluhaSO8ejVKZ",\n            "_R7awpEBluhaSO8ejVKZ",\n            "_h7awpEBluhaSO8ejVKZ",\n            "_x7awpEBluhaSO8ejVKZ",\n            "AB7awpEBluhaSO8ejVOZ",\n            "AR7awpEBluhaSO8ejVOZ",\n            "Ah7awpEBluhaSO8ejVOZ",\n            "Ax7awpEBluhaSO8ejVOZ",\n            "BB7awpEBluhaSO8ejVOZ",\n            "BR7awpEBluhaSO8ejVOZ",\n            "Bh7awpEBluhaSO8ejVOZ",\n            "Bx7awpEBluhaSO8ejVOZ",\n            "CB7awpEBluhaSO8ejVOZ",\n            "CR7awpEBluhaSO8ejVOZ",\n            "Ch7awpEBluhaSO8ejVOZ",\n            "Cx7awpEBluhaSO8ejVOZ",\n            "DB7awpEBluhaSO8ejVOZ",\n            "DR7awpEBluhaSO8ejVOZ",\n            "Dh7awpEBluhaSO8ejVOZ",\n            "Dx7awpEBluhaSO8ejVOZ",\n            "EB7awpEBluhaSO8ejVOZ",\n            "ER7awpEBluhaSO8ejVOZ",\n            "Eh7awpEBluhaSO8ejVOZ",\n            "Ex7awpEBluhaSO8ejVOZ",\n            "FB7awpEBluhaSO8ejVOZ",\n            "FR7awpEBluhaSO8ejVOZ",\n            "Fh7awpEBluhaSO8ejVOZ",\n            "Fx7awpEBluhaSO8ejVOZ",\n            "GB7awpEBluhaSO8ejVOZ",\n            "GR7awpEBluhaSO8ejVOZ",\n            "Gh7awpEBluhaSO8ejVOZ",\n            "Gx7awpEBluhaSO8ejVOZ",\n            "HB7awpEBluhaSO8ejVOZ",\n            "HR7awpEBluhaSO8ejVOZ",\n            "Hh7awpEBluhaSO8ejVOZ",\n            "Hx7awpEBluhaSO8ejVOZ",\n            "IB7awpEBluhaSO8ejVOZ",\n            "IR7awpEBluhaSO8ejVOZ",\n            "Ih7awpEBluhaSO8ejVOZ",\n            "Ix7awpEBluhaSO8ejVOZ",\n            "JB7awpEBluhaSO8ejVOZ",\n            "JR7awpEBluhaSO8ejVOZ",\n            "Jh7awpEBluhaSO8ejVOZ",\n            "Jx7awpEBluhaSO8ejVOZ",\n            "KB7awpEBluhaSO8ejVOZ",\n            "KR7awpEBluhaSO8ejVOZ",\n            "Kh7awpEBluhaSO8ejVOZ",\n            "Kx7awpEBluhaSO8ejVOZ",\n            "LB7awpEBluhaSO8ejVOZ"\n          ]\n        }\n      }\n    }\n  },\n  "_source": false,\n  "fields": [\n    "*"\n  ]\n}',
        description: 'Retrieve source documents when ES|QL query is not aggregable',
        duration: 8,
      },
    ],
  },
  {
    errors: [],
    warnings: [],
    startedAt: '2024-09-05T16:03:46.972Z',
    duration: 269,
    requests: [
      {
        request:
          'POST _query\n{\n  "query": "FROM packetbeat-8.14.2 metadata _id, _version, _index | limit 101",\n  "filter": {\n    "bool": {\n      "filter": [\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2024-09-05T16:03:46.972Z",\n              "gte": "2024-09-05T15:42:46.972Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        },\n        {\n          "bool": {\n            "must": [],\n            "filter": [],\n            "should": [],\n            "must_not": []\n          }\n        }\n      ]\n    }\n  }\n}',
        description: 'ES|QL request to find all matches',
        duration: 30,
      },
      {
        request:
          'POST /packetbeat-8.14.2/_search?ignore_unavailable=true\n{\n  "query": {\n    "bool": {\n      "filter": {\n        "ids": {\n          "values": [\n            "yB7awpEBluhaSO8ejVKZ",\n            "yR7awpEBluhaSO8ejVKZ",\n            "yh7awpEBluhaSO8ejVKZ",\n            "yx7awpEBluhaSO8ejVKZ",\n            "zB7awpEBluhaSO8ejVKZ",\n            "zR7awpEBluhaSO8ejVKZ",\n            "zh7awpEBluhaSO8ejVKZ",\n            "zx7awpEBluhaSO8ejVKZ",\n            "0B7awpEBluhaSO8ejVKZ",\n            "0R7awpEBluhaSO8ejVKZ",\n            "0h7awpEBluhaSO8ejVKZ",\n            "0x7awpEBluhaSO8ejVKZ",\n            "1B7awpEBluhaSO8ejVKZ",\n            "1R7awpEBluhaSO8ejVKZ",\n            "1h7awpEBluhaSO8ejVKZ",\n            "1x7awpEBluhaSO8ejVKZ",\n            "2B7awpEBluhaSO8ejVKZ",\n            "2R7awpEBluhaSO8ejVKZ",\n            "2h7awpEBluhaSO8ejVKZ",\n            "2x7awpEBluhaSO8ejVKZ",\n            "3B7awpEBluhaSO8ejVKZ",\n            "3R7awpEBluhaSO8ejVKZ",\n            "3h7awpEBluhaSO8ejVKZ",\n            "3x7awpEBluhaSO8ejVKZ",\n            "4B7awpEBluhaSO8ejVKZ",\n            "4R7awpEBluhaSO8ejVKZ",\n            "4h7awpEBluhaSO8ejVKZ",\n            "4x7awpEBluhaSO8ejVKZ",\n            "5B7awpEBluhaSO8ejVKZ",\n            "5R7awpEBluhaSO8ejVKZ",\n            "5h7awpEBluhaSO8ejVKZ",\n            "5x7awpEBluhaSO8ejVKZ",\n            "6B7awpEBluhaSO8ejVKZ",\n            "6R7awpEBluhaSO8ejVKZ",\n            "6h7awpEBluhaSO8ejVKZ",\n            "6x7awpEBluhaSO8ejVKZ",\n            "7B7awpEBluhaSO8ejVKZ",\n            "7R7awpEBluhaSO8ejVKZ",\n            "7h7awpEBluhaSO8ejVKZ",\n            "7x7awpEBluhaSO8ejVKZ",\n            "8B7awpEBluhaSO8ejVKZ",\n            "8R7awpEBluhaSO8ejVKZ",\n            "8h7awpEBluhaSO8ejVKZ",\n            "8x7awpEBluhaSO8ejVKZ",\n            "9B7awpEBluhaSO8ejVKZ",\n            "9R7awpEBluhaSO8ejVKZ",\n            "9h7awpEBluhaSO8ejVKZ",\n            "9x7awpEBluhaSO8ejVKZ",\n            "-B7awpEBluhaSO8ejVKZ",\n            "-R7awpEBluhaSO8ejVKZ",\n            "-h7awpEBluhaSO8ejVKZ",\n            "-x7awpEBluhaSO8ejVKZ",\n            "_B7awpEBluhaSO8ejVKZ",\n            "_R7awpEBluhaSO8ejVKZ",\n            "_h7awpEBluhaSO8ejVKZ",\n            "_x7awpEBluhaSO8ejVKZ",\n            "AB7awpEBluhaSO8ejVOZ",\n            "AR7awpEBluhaSO8ejVOZ",\n            "Ah7awpEBluhaSO8ejVOZ",\n            "Ax7awpEBluhaSO8ejVOZ",\n            "BB7awpEBluhaSO8ejVOZ",\n            "BR7awpEBluhaSO8ejVOZ",\n            "Bh7awpEBluhaSO8ejVOZ",\n            "Bx7awpEBluhaSO8ejVOZ",\n            "CB7awpEBluhaSO8ejVOZ",\n            "CR7awpEBluhaSO8ejVOZ",\n            "Ch7awpEBluhaSO8ejVOZ",\n            "Cx7awpEBluhaSO8ejVOZ",\n            "DB7awpEBluhaSO8ejVOZ",\n            "DR7awpEBluhaSO8ejVOZ",\n            "Dh7awpEBluhaSO8ejVOZ",\n            "Dx7awpEBluhaSO8ejVOZ",\n            "EB7awpEBluhaSO8ejVOZ",\n            "ER7awpEBluhaSO8ejVOZ",\n            "Eh7awpEBluhaSO8ejVOZ",\n            "Ex7awpEBluhaSO8ejVOZ",\n            "FB7awpEBluhaSO8ejVOZ",\n            "FR7awpEBluhaSO8ejVOZ",\n            "Fh7awpEBluhaSO8ejVOZ",\n            "Fx7awpEBluhaSO8ejVOZ",\n            "GB7awpEBluhaSO8ejVOZ",\n            "GR7awpEBluhaSO8ejVOZ",\n            "Gh7awpEBluhaSO8ejVOZ",\n            "Gx7awpEBluhaSO8ejVOZ",\n            "HB7awpEBluhaSO8ejVOZ",\n            "HR7awpEBluhaSO8ejVOZ",\n            "Hh7awpEBluhaSO8ejVOZ",\n            "Hx7awpEBluhaSO8ejVOZ",\n            "IB7awpEBluhaSO8ejVOZ",\n            "IR7awpEBluhaSO8ejVOZ",\n            "Ih7awpEBluhaSO8ejVOZ",\n            "Ix7awpEBluhaSO8ejVOZ",\n            "JB7awpEBluhaSO8ejVOZ",\n            "JR7awpEBluhaSO8ejVOZ",\n            "Jh7awpEBluhaSO8ejVOZ",\n            "Jx7awpEBluhaSO8ejVOZ",\n            "KB7awpEBluhaSO8ejVOZ",\n            "KR7awpEBluhaSO8ejVOZ",\n            "Kh7awpEBluhaSO8ejVOZ",\n            "Kx7awpEBluhaSO8ejVOZ",\n            "LB7awpEBluhaSO8ejVOZ"\n          ]\n        }\n      }\n    }\n  },\n  "_source": false,\n  "fields": [\n    "*"\n  ]\n}',
        description: 'Retrieve source documents when ES|QL query is not aggregable',
        duration: 6,
      },
      {
        request:
          'POST _query\n{\n  "query": "FROM packetbeat-8.14.2 metadata _id, _version, _index | limit 201",\n  "filter": {\n    "bool": {\n      "filter": [\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2024-09-05T16:03:46.972Z",\n              "gte": "2024-09-05T15:42:46.972Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        },\n        {\n          "bool": {\n            "must": [],\n            "filter": [],\n            "should": [],\n            "must_not": []\n          }\n        }\n      ]\n    }\n  }\n}',
        description: 'ES|QL request to find all matches',
      },
      {
        request:
          'POST /packetbeat-8.14.2/_search?ignore_unavailable=true\n{\n  "query": {\n    "bool": {\n      "filter": {\n        "ids": {\n          "values": [\n            "LB7awpEBluhaSO8ejVOZ",\n            "LR7awpEBluhaSO8ejVOZ",\n            "Lh7awpEBluhaSO8ejVOZ",\n            "Lx7awpEBluhaSO8ejVOZ",\n            "MB7awpEBluhaSO8ejVOZ",\n            "MR7awpEBluhaSO8ejVOZ",\n            "Mh7awpEBluhaSO8ejVOZ",\n            "Mx7awpEBluhaSO8ejVOZ",\n            "NB7awpEBluhaSO8ejVOZ",\n            "NR7awpEBluhaSO8ejVOZ",\n            "Nh7awpEBluhaSO8ejVOZ",\n            "Nx7awpEBluhaSO8ejVOZ",\n            "OB7awpEBluhaSO8ejVOZ",\n            "OR7awpEBluhaSO8ejVOZ",\n            "Oh7awpEBluhaSO8ejVOZ",\n            "Ox7awpEBluhaSO8ejVOZ",\n            "PB7awpEBluhaSO8ejVOZ",\n            "PR7awpEBluhaSO8ejVOZ",\n            "Ph7awpEBluhaSO8ejVOZ",\n            "Px7awpEBluhaSO8ejVOZ",\n            "QB7awpEBluhaSO8ejVOZ",\n            "QR7awpEBluhaSO8ejVOZ",\n            "Qh7awpEBluhaSO8ejVOZ",\n            "Qx7awpEBluhaSO8ejVOZ",\n            "RB7awpEBluhaSO8ejVOZ",\n            "RR7awpEBluhaSO8ejVOZ",\n            "Rh7awpEBluhaSO8ejVOZ",\n            "Rx7awpEBluhaSO8ejVOZ",\n            "SB7awpEBluhaSO8ejVOZ",\n            "SR7awpEBluhaSO8ejVOZ",\n            "Sx7awpEBluhaSO8ewFOg",\n            "TB7awpEBluhaSO8ewFOg",\n            "TR7awpEBluhaSO8ewFOg",\n            "Th7awpEBluhaSO8ewFOg",\n            "Tx7awpEBluhaSO8ewFOg",\n            "UB7awpEBluhaSO8ewFOg",\n            "UR7awpEBluhaSO8ewFOg",\n            "Uh7awpEBluhaSO8ewFOh",\n            "Ux7awpEBluhaSO8ewFOh",\n            "VB7awpEBluhaSO8ewFOh",\n            "VR7awpEBluhaSO8ewFOh",\n            "Vh7awpEBluhaSO8ewFOh",\n            "Vx7awpEBluhaSO8ewFOh",\n            "WB7awpEBluhaSO8ewFOh",\n            "WR7awpEBluhaSO8ewFOh",\n            "Wh7awpEBluhaSO8ewFOh",\n            "Wx7awpEBluhaSO8ewFOh",\n            "XB7awpEBluhaSO8ewFOh",\n            "XR7awpEBluhaSO8ewFOh",\n            "Xh7awpEBluhaSO8ewFOh",\n            "Xx7awpEBluhaSO8ewFOh",\n            "YB7awpEBluhaSO8ewFOh",\n            "YR7awpEBluhaSO8ewFOh",\n            "Yh7awpEBluhaSO8ewFOh",\n            "Yx7awpEBluhaSO8ewFOh",\n            "ZB7awpEBluhaSO8ewFOh",\n            "ZR7awpEBluhaSO8ewFOh",\n            "Zh7awpEBluhaSO8ewFOh",\n            "Zx7awpEBluhaSO8ewFOh",\n            "aB7awpEBluhaSO8ewFOh",\n            "aR7awpEBluhaSO8ewFOh",\n            "ah7awpEBluhaSO8ewFOh",\n            "ax7awpEBluhaSO8ewFOh",\n            "bB7awpEBluhaSO8ewFOh",\n            "bR7awpEBluhaSO8ewFOh",\n            "bh7awpEBluhaSO8ewFOh",\n            "bx7awpEBluhaSO8ewFOh",\n            "cB7awpEBluhaSO8ewFOh",\n            "cR7awpEBluhaSO8ewFOh",\n            "ch7awpEBluhaSO8ewFOh",\n            "cx7awpEBluhaSO8ewFOh",\n            "dB7awpEBluhaSO8ewFOh",\n            "dR7awpEBluhaSO8ewFOh",\n            "dh7awpEBluhaSO8ewFOh",\n            "dx7awpEBluhaSO8ewFOh",\n            "eB7awpEBluhaSO8ewFOh",\n            "eR7awpEBluhaSO8ewFOh",\n            "eh7awpEBluhaSO8ewFOh",\n            "ex7awpEBluhaSO8ewFOh",\n            "fB7awpEBluhaSO8ewFOh",\n            "fR7awpEBluhaSO8ewFOh",\n            "fh7awpEBluhaSO8ewFOh",\n            "fx7awpEBluhaSO8ewFOh",\n            "gB7awpEBluhaSO8ewFOh",\n            "gR7awpEBluhaSO8ewFOh",\n            "gh7awpEBluhaSO8ewFOh",\n            "gx7awpEBluhaSO8ewFOh",\n            "hB7awpEBluhaSO8ewFOh",\n            "hR7awpEBluhaSO8ewFOh",\n            "hh7awpEBluhaSO8ewFOh",\n            "hx7awpEBluhaSO8ewFOh",\n            "iB7awpEBluhaSO8ewFOh",\n            "iR7awpEBluhaSO8ewFOh",\n            "ih7awpEBluhaSO8ewFOh",\n            "ix7awpEBluhaSO8ewFOh",\n            "jB7awpEBluhaSO8ewFOh",\n            "jR7awpEBluhaSO8ewFOh",\n            "jh7awpEBluhaSO8ewFOh",\n            "jx7awpEBluhaSO8ewFOh",\n            "kB7awpEBluhaSO8ewFOh",\n            "kR7awpEBluhaSO8ewFOh"\n          ]\n        }\n      }\n    }\n  },\n  "_source": false,\n  "fields": [\n    "*"\n  ]\n}',
        description: 'Retrieve source documents when ES|QL query is not aggregable',
        duration: 8,
      },
      {
        request:
          'POST _query\n{\n  "query": "FROM packetbeat-8.14.2 metadata _id, _version, _index | limit 301",\n  "filter": {\n    "bool": {\n      "filter": [\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2024-09-05T16:03:46.972Z",\n              "gte": "2024-09-05T15:42:46.972Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        },\n        {\n          "bool": {\n            "must": [],\n            "filter": [],\n            "should": [],\n            "must_not": []\n          }\n        }\n      ]\n    }\n  }\n}',
        description: 'ES|QL request to find all matches',
      },
      {
        request:
          'POST /packetbeat-8.14.2/_search?ignore_unavailable=true\n{\n  "query": {\n    "bool": {\n      "filter": {\n        "ids": {\n          "values": [\n            "kR7awpEBluhaSO8ewFOh",\n            "kh7awpEBluhaSO8ewFOh",\n            "kx7awpEBluhaSO8ewFOh",\n            "lB7awpEBluhaSO8ewFOh",\n            "lR7awpEBluhaSO8ewFOh",\n            "lh7awpEBluhaSO8ewFOh",\n            "lx7awpEBluhaSO8ewFOh",\n            "mB7awpEBluhaSO8ewFOh",\n            "mR7awpEBluhaSO8ewFOh",\n            "mh7awpEBluhaSO8ewFOh",\n            "mx7awpEBluhaSO8ewFOh",\n            "nB7awpEBluhaSO8ewFOh",\n            "nR7awpEBluhaSO8ewFOh",\n            "nh7awpEBluhaSO8ewFOh",\n            "nx7awpEBluhaSO8ewFOh",\n            "oB7awpEBluhaSO8ewFOh",\n            "oR7awpEBluhaSO8ewFOh",\n            "oh7awpEBluhaSO8ewFOh",\n            "ox7awpEBluhaSO8ewFOh",\n            "pB7awpEBluhaSO8ewFOh",\n            "pR7awpEBluhaSO8ewFOh",\n            "ph7awpEBluhaSO8ewFOh",\n            "px7awpEBluhaSO8ewFOh",\n            "qB7awpEBluhaSO8ewFOh",\n            "qR7awpEBluhaSO8ewFOh",\n            "qh7awpEBluhaSO8ewFOh",\n            "qx7awpEBluhaSO8ewFOh",\n            "rB7awpEBluhaSO8ewFOh",\n            "rR7awpEBluhaSO8ewFOh",\n            "rh7awpEBluhaSO8ewFOh",\n            "rx7awpEBluhaSO8ewFOh",\n            "sB7awpEBluhaSO8ewFOh",\n            "sR7awpEBluhaSO8ewFOh",\n            "sh7awpEBluhaSO8ewFOh",\n            "sx7awpEBluhaSO8ewFOh",\n            "tB7awpEBluhaSO8ewFOh",\n            "tR7awpEBluhaSO8ewFOh",\n            "th7awpEBluhaSO8ewFOh",\n            "tx7awpEBluhaSO8ewFOh",\n            "uB7awpEBluhaSO8ewFOh",\n            "uR7awpEBluhaSO8ewFOh",\n            "uh7awpEBluhaSO8ewFOh",\n            "ux7awpEBluhaSO8ewFOh",\n            "vB7awpEBluhaSO8ewFOh",\n            "vR7awpEBluhaSO8ewFOh",\n            "vh7awpEBluhaSO8ewFOh",\n            "vx7awpEBluhaSO8ewFOh",\n            "wB7awpEBluhaSO8ewFOh",\n            "wR7awpEBluhaSO8ewFOh",\n            "wh7awpEBluhaSO8ewFOh",\n            "wx7awpEBluhaSO8ewFOh",\n            "xB7awpEBluhaSO8ewFOh",\n            "xR7awpEBluhaSO8ewFOh",\n            "xh7awpEBluhaSO8ewFOh",\n            "xx7awpEBluhaSO8ewFOh",\n            "yB7awpEBluhaSO8ewFOh",\n            "yR7awpEBluhaSO8ewFOh",\n            "yh7awpEBluhaSO8ewFOh",\n            "yx7awpEBluhaSO8ewFOh",\n            "zB7awpEBluhaSO8ewFOh",\n            "zR7awpEBluhaSO8ewFOh",\n            "zh7awpEBluhaSO8ewFOh",\n            "zx7awpEBluhaSO8ewFOh",\n            "0B7awpEBluhaSO8ewFOh",\n            "0R7awpEBluhaSO8ewFOh",\n            "0h7awpEBluhaSO8ewFOh",\n            "0x7awpEBluhaSO8ewFOh",\n            "1B7awpEBluhaSO8ewFOh",\n            "1R7awpEBluhaSO8ewFOh",\n            "1h7awpEBluhaSO8ewFOh",\n            "1x7awpEBluhaSO8ewFOh",\n            "2B7awpEBluhaSO8ewFOh",\n            "2R7awpEBluhaSO8ewFOh",\n            "2h7awpEBluhaSO8ewFOh",\n            "2x7awpEBluhaSO8ewFOh",\n            "3B7awpEBluhaSO8ewFOh",\n            "3R7awpEBluhaSO8ewFOh",\n            "3h7awpEBluhaSO8ewFOh",\n            "3x7awpEBluhaSO8ewFOh",\n            "4B7awpEBluhaSO8ewFOh",\n            "4R7awpEBluhaSO8ewFOh",\n            "4h7awpEBluhaSO8ewFOh",\n            "4x7awpEBluhaSO8ewFOh",\n            "5B7awpEBluhaSO8ewFOh",\n            "5R7awpEBluhaSO8ewFOh",\n            "5h7awpEBluhaSO8ewFOh",\n            "6h7awpEBluhaSO8e51Pb",\n            "6x7awpEBluhaSO8e51Pb",\n            "7B7awpEBluhaSO8e51Pb",\n            "7R7awpEBluhaSO8e51Pb",\n            "7h7awpEBluhaSO8e51Pb",\n            "7x7awpEBluhaSO8e51Pb",\n            "8B7awpEBluhaSO8e51Pb",\n            "8R7awpEBluhaSO8e51Pb",\n            "8h7awpEBluhaSO8e51Pb",\n            "8x7awpEBluhaSO8e51Pb",\n            "9B7awpEBluhaSO8e51Pb",\n            "9R7awpEBluhaSO8e51Pb",\n            "9h7awpEBluhaSO8e51Pb",\n            "9x7awpEBluhaSO8e51Pb",\n            "-B7awpEBluhaSO8e51Pb"\n          ]\n        }\n      }\n    }\n  },\n  "_source": false,\n  "fields": [\n    "*"\n  ]\n}',
        description: 'Retrieve source documents when ES|QL query is not aggregable',
        duration: 7,
      },
    ],
  },
  {
    errors: [],
    warnings: [],
    startedAt: '2024-09-05T16:23:46.972Z',
    duration: 103,
    requests: [
      {
        request:
          'POST _query\n{\n  "query": "FROM packetbeat-8.14.2 metadata _id, _version, _index | limit 101",\n  "filter": {\n    "bool": {\n      "filter": [\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2024-09-05T16:23:46.972Z",\n              "gte": "2024-09-05T16:02:46.972Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        },\n        {\n          "bool": {\n            "must": [],\n            "filter": [],\n            "should": [],\n            "must_not": []\n          }\n        }\n      ]\n    }\n  }\n}',
        description: 'ES|QL request to find all matches',
        duration: 19,
      },
      {
        request:
          'POST /packetbeat-8.14.2/_search?ignore_unavailable=true\n{\n  "query": {\n    "bool": {\n      "filter": {\n        "ids": {\n          "values": [\n            "_B7_wpEBluhaSO8enqFT",\n            "_R7_wpEBluhaSO8enqFT",\n            "_h7_wpEBluhaSO8enqFT",\n            "_x7_wpEBluhaSO8enqFT",\n            "AB7_wpEBluhaSO8enqJT",\n            "AR7_wpEBluhaSO8enqJT",\n            "Ah7_wpEBluhaSO8enqJT",\n            "Ax7_wpEBluhaSO8enqJT",\n            "BB7_wpEBluhaSO8enqJT",\n            "BR7_wpEBluhaSO8enqJT",\n            "Bh7_wpEBluhaSO8enqJT",\n            "Bx7_wpEBluhaSO8enqJT",\n            "CB7_wpEBluhaSO8enqJT",\n            "CR7_wpEBluhaSO8enqJT",\n            "Ch7_wpEBluhaSO8enqJT",\n            "Cx7_wpEBluhaSO8enqJT",\n            "DB7_wpEBluhaSO8enqJT",\n            "DR7_wpEBluhaSO8enqJT",\n            "Dh7_wpEBluhaSO8enqJT",\n            "Dx7_wpEBluhaSO8enqJT",\n            "EB7_wpEBluhaSO8enqJT",\n            "ER7_wpEBluhaSO8enqJT",\n            "Eh7_wpEBluhaSO8enqJT",\n            "Ex7_wpEBluhaSO8enqJT",\n            "FB7_wpEBluhaSO8enqJT",\n            "FR7_wpEBluhaSO8enqJT",\n            "Fh7_wpEBluhaSO8enqJT",\n            "Fx7_wpEBluhaSO8enqJT",\n            "GB7_wpEBluhaSO8enqJT",\n            "GR7_wpEBluhaSO8enqJT",\n            "Gh7_wpEBluhaSO8enqJT",\n            "Gx7_wpEBluhaSO8enqJT",\n            "tR7wwpEBluhaSO8efnLO",\n            "th7wwpEBluhaSO8efnLO",\n            "tx7wwpEBluhaSO8efnLO",\n            "uB7wwpEBluhaSO8efnLO",\n            "uR7wwpEBluhaSO8efnLO",\n            "uh7wwpEBluhaSO8efnLO",\n            "ux7wwpEBluhaSO8efnLO",\n            "vB7wwpEBluhaSO8efnLO",\n            "vR7wwpEBluhaSO8efnLO",\n            "vh7wwpEBluhaSO8efnLO",\n            "vx7wwpEBluhaSO8efnLO",\n            "wB7wwpEBluhaSO8efnLO",\n            "wR7wwpEBluhaSO8efnLO",\n            "wh7wwpEBluhaSO8efnLO",\n            "wx7wwpEBluhaSO8efnLO",\n            "xB7wwpEBluhaSO8efnLO",\n            "xR7wwpEBluhaSO8efnLO",\n            "xh7wwpEBluhaSO8efnLO",\n            "xx7wwpEBluhaSO8efnLO",\n            "yB7wwpEBluhaSO8efnLO",\n            "yR7wwpEBluhaSO8efnLO",\n            "yh7wwpEBluhaSO8efnLO",\n            "yx7wwpEBluhaSO8efnLO",\n            "zB7wwpEBluhaSO8efnLO",\n            "zR7wwpEBluhaSO8efnLO",\n            "zh7wwpEBluhaSO8efnLO",\n            "zx7wwpEBluhaSO8efnLO",\n            "0B7wwpEBluhaSO8efnLO",\n            "0R7wwpEBluhaSO8efnLO",\n            "0h7wwpEBluhaSO8efnLO",\n            "0x7wwpEBluhaSO8efnLO",\n            "1B7wwpEBluhaSO8efnLO",\n            "1B7twpEBluhaSO8eu1-P",\n            "1R7twpEBluhaSO8eu1-P",\n            "1h7twpEBluhaSO8eu1-P",\n            "1x7twpEBluhaSO8eu1-P",\n            "2B7twpEBluhaSO8eu1-P",\n            "2R7twpEBluhaSO8eu1-P",\n            "2h7twpEBluhaSO8eu1-P",\n            "2x7twpEBluhaSO8eu1-P",\n            "3B7twpEBluhaSO8eu1-P",\n            "3R7twpEBluhaSO8eu1-P",\n            "3h7twpEBluhaSO8eu1-P",\n            "3x7twpEBluhaSO8eu1-P",\n            "4B7twpEBluhaSO8eu1-P",\n            "4R7twpEBluhaSO8eu1-P",\n            "4h7twpEBluhaSO8eu1-P",\n            "4x7twpEBluhaSO8eu1-P",\n            "5B7twpEBluhaSO8eu1-P",\n            "5R7twpEBluhaSO8eu1-P",\n            "5h7twpEBluhaSO8eu1-P",\n            "5x7twpEBluhaSO8eu1-P",\n            "6B7twpEBluhaSO8eu1-P",\n            "6R7twpEBluhaSO8eu1-P",\n            "6h7twpEBluhaSO8eu1-P",\n            "6x7twpEBluhaSO8eu1-P",\n            "7B7twpEBluhaSO8eu1-P",\n            "7R7twpEBluhaSO8eu1-P",\n            "7h7twpEBluhaSO8eu1-P",\n            "7x7twpEBluhaSO8eu1-P",\n            "8B7twpEBluhaSO8eu1-P",\n            "8R7twpEBluhaSO8eu1-P",\n            "8h7twpEBluhaSO8eu1-P",\n            "8x7twpEBluhaSO8eu1-P",\n            "HB7_wpEBluhaSO8enqJT",\n            "HR7_wpEBluhaSO8enqJT",\n            "Hh7_wpEBluhaSO8enqJT",\n            "Hx7_wpEBluhaSO8enqJT",\n            "IB7_wpEBluhaSO8enqJT"\n          ]\n        }\n      }\n    }\n  },\n  "_source": false,\n  "fields": [\n    "*"\n  ]\n}',
        description: 'Retrieve source documents when ES|QL query is not aggregable',
        duration: 5,
      },
    ],
  },
];

export const queryRuleTypePreviewLogs: RulePreviewLogs[] = [
  {
    errors: [],
    warnings: [
      'This rule reached the maximum alert limit for the rule execution. Some alerts were not created.',
    ],
    startedAt: '2025-01-21T16:48:50.891Z',
    duration: 1103,
    requests: [
      {
        request:
          'POST /apm-*-transaction*,auditbeat-*,endgame-*,filebeat-*,logs-*,packetbeat-*,traces-apm*,winlogbeat-*,-*elastic-cloud-logs-*,very-unique/_search?allow_no_indices=true&ignore_unavailable=true\n{\n  "size": 100,\n  "query": {\n    "bool": {\n      "filter": [\n        {\n          "bool": {\n            "must": [],\n            "filter": [\n              {\n                "query_string": {\n                  "query": "*"\n                }\n              }\n            ],\n            "should": [],\n            "must_not": []\n          }\n        },\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2025-01-21T16:48:50.891Z",\n              "gte": "2025-01-21T15:17:50.891Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        }\n      ]\n    }\n  },\n  "fields": [\n    {\n      "field": "*",\n      "include_unmapped": true\n    },\n    {\n      "field": "@timestamp",\n      "format": "strict_date_optional_time"\n    }\n  ],\n  "runtime_mappings": {},\n  "sort": [\n    {\n      "@timestamp": {\n        "order": "asc",\n        "unmapped_type": "date"\n      }\n    }\n  ]\n}',
        description: 'Find documents',
        request_type: 'findDocuments',
        duration: 137,
      },
      {
        request:
          'POST /apm-*-transaction*,auditbeat-*,endgame-*,filebeat-*,logs-*,packetbeat-*,traces-apm*,winlogbeat-*,-*elastic-cloud-logs-*,very-unique/_search?allow_no_indices=true&ignore_unavailable=true\n{\n  "size": 100,\n  "query": {\n    "bool": {\n      "filter": [\n        {\n          "bool": {\n            "must": [],\n            "filter": [\n              {\n                "query_string": {\n                  "query": "*"\n                }\n              }\n            ],\n            "should": [],\n            "must_not": []\n          }\n        },\n        {\n          "range": {\n            "@timestamp": {\n              "lte": "2025-01-21T16:48:50.891Z",\n              "gte": "2025-01-21T15:17:50.891Z",\n              "format": "strict_date_optional_time"\n            }\n          }\n        }\n      ]\n    }\n  },\n  "fields": [\n    {\n      "field": "*",\n      "include_unmapped": true\n    },\n    {\n      "field": "@timestamp",\n      "format": "strict_date_optional_time"\n    }\n  ],\n  "runtime_mappings": {},\n  "sort": [\n    {\n      "@timestamp": {\n        "order": "asc",\n        "unmapped_type": "date"\n      }\n    }\n  ],\n  "search_after": [\n    1737472675562\n  ]\n}',
        description: 'Find documents after cursor [1737472675562]',
        request_type: 'findDocuments',
        duration: 192,
      },
    ],
  },
];
