/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const PAGE_TITLE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.pageTitle',
  {
    defaultMessage: 'Rule details',
  }
);

export const BACK_TO_RULES = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.backToRulesButton',
  {
    defaultMessage: 'Rules',
  }
);

export const ENABLE_RULE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.enableRuleLabel',
  {
    defaultMessage: 'Enable',
  }
);

export const UNKNOWN = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.unknownDescription',
  {
    defaultMessage: 'Unknown',
  }
);

export const EXCEPTIONS_TAB = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.ruleExceptionsTab',
  {
    defaultMessage: 'Rule exceptions',
  }
);

export const ENDPOINT_EXCEPTIONS_TAB = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.endpointExceptionsTab',
  {
    defaultMessage: 'Endpoint exceptions',
  }
);

export const EXECUTION_RESULTS_TAB = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionResultsTab',
  {
    defaultMessage: 'Execution results',
  }
);

export const EXECUTION_EVENTS_TAB = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.ruleExecutionEventsTab',
  {
    defaultMessage: 'Execution events',
  }
);

export const DELETED_RULE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.deletedRule',
  {
    defaultMessage: 'Deleted rule',
  }
);

export const DELETE_CONFIRMATION_BODY = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.deleteRuleConfirmationBody',
  {
    defaultMessage: 'This action will delete the rule. Click "Delete" to continue.',
  }
);
