/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const CLOSE_ALERTS_SECTION_TITLE = i18n.translate(
  'xpack.securitySolution.rule_exceptions.flyoutComponents.alertsActions.sectionTitle',
  {
    defaultMessage: 'Alerts actions',
  }
);

export const SINGLE_ALERT_CLOSE_LABEL = i18n.translate(
  'xpack.securitySolution.rule_exceptions.flyoutComponents.alertsActions.singleAlertCloseLabel',
  {
    defaultMessage: 'Close this alert',
  }
);

export const BULK_CLOSE_LABEL_DISABLED = i18n.translate(
  'xpack.securitySolution.rule_exceptions.flyoutComponents.alertsActions.bulkCloseLabel.disabled',
  {
    defaultMessage:
      'Close all alerts that match this exception and were generated by this rule (Lists and non-ECS fields are not supported)',
  }
);

export const BULK_CLOSE_LABEL = i18n.translate(
  'xpack.securitySolution.rule_exceptions.flyoutComponents.alertsActions.bulkCloseLabel',
  {
    defaultMessage:
      'Close all alerts that match this exception and were generated by selected rule/s',
  }
);

export const ENDPOINT_QUARANTINE_TEXT = i18n.translate(
  'xpack.securitySolution.rule_exceptions.flyoutComponents.alertsActions.endpointQuarantineText',
  {
    defaultMessage:
      'On all Endpoint hosts, quarantined files that match the exception are automatically restored to their original locations. This exception applies to all rules using Endpoint exceptions.',
  }
);
