/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/** settings for the `Alerts` page are grouped under this logical key */
export const ALERTS_PAGE = 'alerts';

/** This setting persists the value of the view selector, which toggles between chart types */
export const ALERT_VIEW_SELECTION_SETTING_NAME = 'alert-view-selection';

/** settings for the `Count` table visualization are grouped under this category */
export const TABLE_CATEGORY = 'table';

/** This setting persists the expanded / collapsed state of an expandable panel */
export const EXPAND_SETTING_NAME = 'expand';

/** settings for the `Treemap` visualization are grouped under this category */
export const TREEMAP_CATEGORY = 'treemap';

/** This setting persists the value of the `Stack by` field selector */
export const STACK_BY_SETTING_NAME = 'stack-by';

/** This setting persists the value of the first `Stack by` field selector when there are multiple */
export const STACK_BY_0_SETTING_NAME = 'stack-by-0';

/** This setting persists the value of the second `Stack by` field selector when there are multiple */
export const STACK_BY_1_SETTING_NAME = 'stack-by-1';

/** settings for the `Trend` visualization are grouped under this category */
export const TREND_CHART_CATEGORY = 'trend';

/** settings for view selection are grouped under this category */
export const VIEW_CATEGORY = 'view';

/** settings for group by selection on summary tab */
export const GROUP_BY_SETTING_NAME = 'group-by';
