/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const HOST_ID = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.hostIdTitle',
  {
    defaultMessage: 'Host ID',
  }
);

export const FIRST_SEEN = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.firstSeenTitle',
  {
    defaultMessage: 'First seen',
  }
);

export const LAST_SEEN = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.lastSeenTitle',
  {
    defaultMessage: 'Last seen',
  }
);

export const IP_ADDRESSES = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.ipAddressesTitle',
  {
    defaultMessage: 'IP addresses',
  }
);

export const MAC_ADDRESSES = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.macAddressesTitle',
  {
    defaultMessage: 'MAC addresses',
  }
);

export const PLATFORM = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.platformTitle',
  {
    defaultMessage: 'Platform',
  }
);

export const OS = i18n.translate('xpack.securitySolution.flyout.entityDetails.host.osTitle', {
  defaultMessage: 'Operating system',
});

export const FAMILY = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.familyTitle',
  {
    defaultMessage: 'Family',
  }
);

export const VERSION = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.versionLabel',
  {
    defaultMessage: 'Version',
  }
);

export const ARCHITECTURE = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.architectureLabel',
  {
    defaultMessage: 'Architecture',
  }
);

export const CLOUD_PROVIDER = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.cloudProviderTitle',
  {
    defaultMessage: 'Cloud provider',
  }
);

export const REGION = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.regionTitle',
  {
    defaultMessage: 'Region',
  }
);

export const INSTANCE_ID = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.instanceIdTitle',
  {
    defaultMessage: 'Instance ID',
  }
);

export const MACHINE_TYPE = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.machineTypeTitle',
  {
    defaultMessage: 'Machine type',
  }
);

export const ENDPOINT_POLICY = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.endpoint.endpointPolicy',
  {
    defaultMessage: 'Endpoint integration policy',
  }
);

export const POLICY_STATUS = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.endpoint.policyStatus',
  {
    defaultMessage: 'Policy Status',
  }
);

export const SENSORVERSION = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.endpoint.sensorversion',
  {
    defaultMessage: 'Endpoint version',
  }
);

export const FLEET_AGENT_STATUS = i18n.translate(
  'xpack.securitySolution.flyout.entityDetails.host.endpoint.fleetAgentStatus',
  {
    defaultMessage: 'Agent status',
  }
);
