/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ALERTS_CARD_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.alertsCard.title',
  {
    defaultMessage: 'View alerts',
  }
);

export const ALERTS_CARD_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.onboarding.alertsCard.description',
  {
    defaultMessage:
      'Visualize, sort, filter, and investigate alerts from across your infrastructure.',
  }
);

export const ALERTS_CARD_CALLOUT_INTEGRATIONS_TEXT = i18n.translate(
  'xpack.securitySolution.onboarding.alertsCard.calloutIntegrationsText',
  {
    defaultMessage: 'To view alerts add integrations first.',
  }
);

export const ALERTS_CARD_CALLOUT_INTEGRATIONS_BUTTON = i18n.translate(
  'xpack.securitySolution.onboarding.alertsCard.calloutIntegrationsButton',
  {
    defaultMessage: 'Add integrations step',
  }
);

export const ALERTS_CARD_VIEW_ALERTS_BUTTON = i18n.translate(
  'xpack.securitySolution.onboarding.alertsCard.viewAlertsButton',
  {
    defaultMessage: 'View alerts',
  }
);

export const ALERTS_CARD_STEP_SELECTOR_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.alertsCard.stepSelectorTitle',
  {
    defaultMessage: 'Here are four ways to use alerts',
  }
);
