/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ATTACK_DISCOVERY_CARD_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.attackDiscoveryCard.title',
  {
    defaultMessage: 'Start using Attack Discovery',
  }
);

export const ATTACK_DISCOVERY_CARD_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.onboarding.attackDiscoveryCard.description',
  {
    defaultMessage:
      'Visualize, sort, filter, and investigate alerts from across your infrastructure. Examine individual alerts of interest, and discover general patterns in alert volume and severity.',
  }
);

export const ATTACK_DISCOVERY_CARD_CALLOUT_INTEGRATIONS_TEXT = i18n.translate(
  'xpack.securitySolution.onboarding.attackDiscoveryCard.calloutIntegrationsText',
  {
    defaultMessage: 'To use Attack Discovery add integrations first.',
  }
);

export const ATTACK_DISCOVERY_CARD_CALLOUT_INTEGRATIONS_BUTTON = i18n.translate(
  'xpack.securitySolution.onboarding.attackDiscoveryCard.calloutIntegrationsButton',
  {
    defaultMessage: 'Add integrations step',
  }
);

export const ATTACK_DISCOVERY_CARD_START_ATTACK_DISCOVERY_BUTTON = i18n.translate(
  'xpack.securitySolution.onboarding.attackDiscoveryCard.startAttackDiscoveryButton',
  {
    defaultMessage: 'Start using Attack Discovery',
  }
);
