/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { css } from '@emotion/css';
import { useEuiTheme } from '@elastic/eui';

export const useCardCallOutStyles = () => {
  const { euiTheme } = useEuiTheme();
  return css`
    padding: ${euiTheme.size.s};
    border: ${euiTheme.border.width.thin} solid ${euiTheme.colors.backgroundBaseSubdued};
    border-radius: ${euiTheme.size.s};
  `;
};
