/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const DASHBOARDS_CARD_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.dashboardsCard.title',
  {
    defaultMessage: 'View and analyze your data using dashboards',
  }
);

export const DASHBOARDS_CARD_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.onboarding.dashboardsCard.description',
  {
    defaultMessage:
      'Use dashboards to visualize data and stay up-to-date with key information. Elastic’s default dashboards, or create your own.',
  }
);

export const DASHBOARDS_CARD_CALLOUT_INTEGRATIONS_TEXT = i18n.translate(
  'xpack.securitySolution.onboarding.dashboardsCard.calloutIntegrationsText',
  {
    defaultMessage: 'To view dashboards add integrations first.',
  }
);

export const DASHBOARDS_CARD_CALLOUT_INTEGRATIONS_BUTTON = i18n.translate(
  'xpack.securitySolution.onboarding.dashboardsCard.calloutIntegrationsButton',
  {
    defaultMessage: 'Add integrations step',
  }
);

export const DASHBOARDS_CARD_GO_TO_DASHBOARDS_BUTTON = i18n.translate(
  'xpack.securitySolution.onboarding.dashboardsCard.goToDashboardsButton',
  {
    defaultMessage: 'Go to dashboards',
  }
);

export const DASHBOARDS_CARD_STEP_SELECTOR_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.dashboardsCard.stepSelectorTitle',
  {
    defaultMessage: 'Here are two ways you can use dashboards',
  }
);
