/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ONBOARDING_HEADER_VIDEO_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.video.title',
  {
    defaultMessage: 'Watch 2 minute overview video',
  }
);

export const ONBOARDING_HEADER_VIDEO_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.video.description',
  {
    defaultMessage: 'Get acquainted with Elastic Security',
  }
);

export const ONBOARDING_HEADER_VIDEO_LINK_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.video.link.title',
  {
    defaultMessage: 'Watch video',
  }
);

export const ONBOARDING_HEADER_VIDEO_MODAL_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.videoModal.title',
  {
    defaultMessage: 'Welcome to Elastic Security!',
  }
);

export const ONBOARDING_HEADER_VIDEO_MODAL_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.videoModal.description',
  {
    defaultMessage:
      "We're excited to support you in protecting your organization's data. Here's a preview of the steps you'll take to set up.",
  }
);

export const ONBOARDING_HEADER_VIDEO_MODAL_BUTTON_CLOSE = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.videoModal.buttonClose',
  {
    defaultMessage: 'Close',
  }
);

export const ONBOARDING_HEADER_VIDEO_MODAL_VIDEO_TITLE = i18n.translate(
  'xpack.securitySolution.onboarding.header.card.videoModal.viewTitle',
  {
    defaultMessage: 'Elastic Security',
  }
);
