/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const USER_ID = i18n.translate('xpack.securitySolution.user.details.overview.userIdTitle', {
  defaultMessage: 'User ID',
});

export const USER_DOMAIN = i18n.translate(
  'xpack.securitySolution.user.details.overview.userDomainTitle',
  {
    defaultMessage: 'Domain',
  }
);

export const HOST_FAMILY = i18n.translate(
  'xpack.securitySolution.user.details.overview.familyTitle',
  {
    defaultMessage: 'Family',
  }
);

export const HOST_IP = i18n.translate(
  'xpack.securitySolution.user.details.overview.ipAddressesTitle',
  {
    defaultMessage: 'IP addresses',
  }
);

export const HOST_OS = i18n.translate('xpack.securitySolution.user.details.overview.osTitle', {
  defaultMessage: 'Operating system',
});

export const FIRST_SEEN = i18n.translate(
  'xpack.securitySolution.network.ipDetails.ipOverview.firstSeenTitle',
  {
    defaultMessage: 'First seen',
  }
);

export const LAST_SEEN = i18n.translate(
  'xpack.securitySolution.user.ipDetails.ipOverview.lastSeenTitle',
  {
    defaultMessage: 'Last seen',
  }
);
export const INSPECT_TITLE = i18n.translate(
  'xpack.securitySolution.user.details.overview.inspectTitle',
  {
    defaultMessage: 'User overview',
  }
);

export const MAX_ANOMALY_SCORE_BY_JOB = i18n.translate(
  'xpack.securitySolution.user.details.overview.maxAnomalyScoreByJobTitle',
  {
    defaultMessage: 'Max anomaly score by job',
  }
);

export const USER_RISK_SCORE = i18n.translate(
  'xpack.securitySolution.user.details.overview.userRiskScoreTitle',
  {
    defaultMessage: 'User risk score',
  }
);

export const USER_RISK_LEVEL = i18n.translate(
  'xpack.securitySolution.user.details.overview.userRiskLevel',
  {
    defaultMessage: 'User risk level',
  }
);
