/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const NO_DURATION = i18n.translate(
  'xpack.securitySolution.formatted.duration.noDurationTooltip',
  {
    defaultMessage: 'no duration',
  }
);

export const INVALID_DURATION = i18n.translate(
  'xpack.securitySolution.formatted.duration.invalidDurationTooltip',
  {
    defaultMessage: 'invalid duration',
  }
);

export const A_NANOSECOND = i18n.translate(
  'xpack.securitySolution.formatted.duration.aNanosecondTooltip',
  {
    defaultMessage: 'a nanosecond',
  }
);

export const A_FEW_NANOSECONDS = i18n.translate(
  'xpack.securitySolution.formatted.duration.aFewNanosecondsTooltip',
  {
    defaultMessage: 'a few nanoseconds',
  }
);

export const A_MILLISECOND = i18n.translate(
  'xpack.securitySolution.formatted.duration.aMillisecondTooltip',
  {
    defaultMessage: 'a millisecond',
  }
);

export const A_FEW_MILLISECONDS = i18n.translate(
  'xpack.securitySolution.formatted.duration.aFewMillisecondsTooltip',
  {
    defaultMessage: 'a few milliseconds',
  }
);

export const A_SECOND = i18n.translate('xpack.securitySolution.formatted.duration.aSecondTooltip', {
  defaultMessage: 'a second',
});

export const ZERO_NANOSECONDS = i18n.translate(
  'xpack.securitySolution.formatted.duration.zeroNanosecondsTooltip',
  {
    defaultMessage: 'zero nanoseconds',
  }
);
