/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const A_LOGIN_WAS_ATTEMPTED_USING_EXPLICIT_CREDENTIALS = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.aLoginWasAttemptedUsingExplicitCredentialsDescription',
  {
    defaultMessage: 'A login was attempted using explicit credentials',
  }
);

export const AS_REQUESTED_BY_SUBJECT = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.asRequestedBySubjectDescription',
  {
    defaultMessage: 'as requested by subject',
  }
);

export const FAILED_TO_LOG_IN = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endpoint.failedToLogInDescription',
  {
    defaultMessage: 'failed to log in',
  }
);

export const FAILED_TO_LOG_OFF = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endpoint.failedToLogOffDescription',
  {
    defaultMessage: 'failed to log off',
  }
);

export const LOGGED_OFF = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.loggedOffDescription',
  {
    defaultMessage: 'logged off',
  }
);

export const LOGON_TYPE_BATCH = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeBatchDescription',
  {
    defaultMessage: 'Batch',
  }
);

export const LOGON_TYPE_CACHED_INTERACTIVE = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeCachedInteractiveDescription',
  {
    defaultMessage: 'Cached Interactive',
  }
);

export const LOGON_TYPE_INTERACTIVE = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeInteractiveDescription',
  {
    defaultMessage: 'Interactive',
  }
);

export const LOGON_TYPE_NETWORK = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeNetworkDescription',
  {
    defaultMessage: 'Network',
  }
);

export const LOGON_TYPE_NETWORK_CLEARTEXT = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeNetworkCleartextDescription',
  {
    defaultMessage: 'Network Cleartext',
  }
);

export const LOGON_TYPE_NEW_CREDENTIALS = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeNewCredentialsDescription',
  {
    defaultMessage: 'New Credentials',
  }
);

export const LOGON_TYPE_REMOTE_INTERACTIVE = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeRemoteInteractiveDescription',
  {
    defaultMessage: 'Remote Interactive',
  }
);

export const LOGON_TYPE_SERVICE = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeServiceDescription',
  {
    defaultMessage: 'Service',
  }
);

export const LOGON_TYPE_UNLOCK = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.logonTypeUnlockDescription',
  {
    defaultMessage: 'Unlock',
  }
);

export const SUBJECT_LOGON_ID = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.subjectLogonIdDescription',
  {
    defaultMessage: 'subject logon ID',
  }
);

export const SUCCESSFULLY_LOGGED_IN = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.successfullyLoggedInDescription',
  {
    defaultMessage: 'successfully logged in',
  }
);

export const TARGET_LOGON_ID = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.targetLogonIdDescription',
  {
    defaultMessage: 'target logon ID',
  }
);

export const TO = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.toDescription',
  {
    defaultMessage: 'to',
  }
);

export const USING_LOGON_TYPE = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.usingLogonTypeDescription',
  {
    defaultMessage: 'using logon type',
  }
);

export const VIA = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.viaDescription',
  {
    defaultMessage: 'via',
  }
);

export const WITH_SPECIAL_PRIVILEGES = i18n.translate(
  'xpack.securitySolution.timeline.body.renderers.endgame.withSpecialPrivilegesDescription',
  {
    defaultMessage: 'With special privileges,',
  }
);
