/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const DRAG_DROP_FIELD = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.dropZoneTableLabel',
  {
    defaultMessage: 'Drop zone to add field as a column to the table',
  }
);

export const FULL_SCREEN = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.fullScreenButton',
  {
    defaultMessage: 'Enter fullscreen',
  }
);

export const EXIT_FULL_SCREEN = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.exitFullScreenButton',
  {
    defaultMessage: 'Exit fullscreen (esc)',
  }
);

export const EVENTS = i18n.translate('xpack.securitySolution.timeline.footer.events', {
  defaultMessage: 'Events',
});

export const OF = i18n.translate('xpack.securitySolution.timeline.footer.of', {
  defaultMessage: 'of',
});

export const ROWS = i18n.translate('xpack.securitySolution.timeline.footer.rows', {
  defaultMessage: 'rows',
});

export const LOADING = i18n.translate('xpack.securitySolution.timeline.footer.loadingLabel', {
  defaultMessage: 'Loading',
});

export const TOTAL_COUNT_OF_EVENTS = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.footer.totalCountOfEvents',
  {
    defaultMessage: 'events',
  }
);

export const AUTO_REFRESH_ACTIVE = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.footer.autoRefreshActiveDescription',
  {
    defaultMessage: 'Auto-Refresh Active',
  }
);

export const LOADING_EVENTS = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.footer.loadingEventsDataLabel',
  {
    defaultMessage: 'Loading Events',
  }
);

export const TIMELINE_UNIFIED_DATA_TABLE_CONTEXT_ERROR = i18n.translate(
  'xpack.securitySolution.timeline.dataTable.timelineContextError',
  {
    defaultMessage:
      'Incorrect Usage of Unified Data Table Context. Must be used inside components or hooks called inside UnifiedDataTable ',
  }
);
