/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
import type { SVGProps } from 'react';
import React from 'react';
export const IconManager: React.FC<SVGProps<SVGSVGElement>> = (props) => (
  <svg
    width="32"
    height="32"
    viewBox="0 0 32 32"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <g clipPath="url(#clip0_4044_22953)">
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M0 24H8V32H0V24ZM2 26V30H6V26H2Z"
        fill="#535966"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M24 24H32V32H24V24ZM26 26V30H30V26H26Z"
        fill="#535966"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M12 24H20V32H12V24ZM14 26V30H18V26H14Z"
        fill="#535966"
      />
      <path fillRule="evenodd" clipRule="evenodd" d="M4 17H28V22H26V19H6V22H4V17Z" fill="#00BFB3" />
      <path fillRule="evenodd" clipRule="evenodd" d="M17 14V22H15V14H17Z" fill="#00BFB3" />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M10 12.1698C10 8.79382 12.6553 6 16 6C19.3447 6 22 8.79382 22 12.1698V13H20V12.1698C20 9.83501 18.1778 8 16 8C13.8222 8 12 9.83501 12 12.1698V13H10V12.1698Z"
        fill="#535966"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M16 2C14.8955 2 14 2.8955 14 4C14 5.1045 14.8955 6 16 6C17.1045 6 18 5.1045 18 4C18 2.8955 17.1045 2 16 2ZM12 4C12 1.79093 13.7909 0 16 0C18.2091 0 20 1.79093 20 4C20 6.20907 18.2091 8 16 8C13.7909 8 12 6.20907 12 4Z"
        fill="#535966"
      />
    </g>
    <defs>
      <clipPath id="clip0_4044_22953">
        <rect width="32" height="32" fill="white" />
      </clipPath>
    </defs>
  </svg>
);

// eslint-disable-next-line import/no-default-export
export default IconManager;
