/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { threatIndicatorNamesOriginScript, threatIndicatorNamesScript } from './indicator_name';

describe('display name generation', () => {
  describe('threatIndicatorNamesScript()', () => {
    it('should generate a valid painless script', () => {
      expect(threatIndicatorNamesScript()).toMatchInlineSnapshot(`
        "try { if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='ipv4-addr') { if (doc.containsKey('threat.indicator.ip') && !doc['threat.indicator.ip'].empty && doc['threat.indicator.ip'].size()!=0 && doc['threat.indicator.ip'].value!=null) { return emit(doc['threat.indicator.ip'].value) } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='ipv6-addr') { if (doc.containsKey('threat.indicator.ip') && !doc['threat.indicator.ip'].empty && doc['threat.indicator.ip'].size()!=0 && doc['threat.indicator.ip'].value!=null) { return emit(doc['threat.indicator.ip'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='file') { if (doc.containsKey('threat.indicator.file.hash.sha256') && !doc['threat.indicator.file.hash.sha256'].empty && doc['threat.indicator.file.hash.sha256'].size()!=0 && doc['threat.indicator.file.hash.sha256'].value!=null) { return emit(doc['threat.indicator.file.hash.sha256'].value) }
        if (doc.containsKey('threat.indicator.file.hash.md5') && !doc['threat.indicator.file.hash.md5'].empty && doc['threat.indicator.file.hash.md5'].size()!=0 && doc['threat.indicator.file.hash.md5'].value!=null) { return emit(doc['threat.indicator.file.hash.md5'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha1') && !doc['threat.indicator.file.hash.sha1'].empty && doc['threat.indicator.file.hash.sha1'].size()!=0 && doc['threat.indicator.file.hash.sha1'].value!=null) { return emit(doc['threat.indicator.file.hash.sha1'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha224') && !doc['threat.indicator.file.hash.sha224'].empty && doc['threat.indicator.file.hash.sha224'].size()!=0 && doc['threat.indicator.file.hash.sha224'].value!=null) { return emit(doc['threat.indicator.file.hash.sha224'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha3-224') && !doc['threat.indicator.file.hash.sha3-224'].empty && doc['threat.indicator.file.hash.sha3-224'].size()!=0 && doc['threat.indicator.file.hash.sha3-224'].value!=null) { return emit(doc['threat.indicator.file.hash.sha3-224'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha3-256') && !doc['threat.indicator.file.hash.sha3-256'].empty && doc['threat.indicator.file.hash.sha3-256'].size()!=0 && doc['threat.indicator.file.hash.sha3-256'].value!=null) { return emit(doc['threat.indicator.file.hash.sha3-256'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha384') && !doc['threat.indicator.file.hash.sha384'].empty && doc['threat.indicator.file.hash.sha384'].size()!=0 && doc['threat.indicator.file.hash.sha384'].value!=null) { return emit(doc['threat.indicator.file.hash.sha384'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha3-384') && !doc['threat.indicator.file.hash.sha3-384'].empty && doc['threat.indicator.file.hash.sha3-384'].size()!=0 && doc['threat.indicator.file.hash.sha3-384'].value!=null) { return emit(doc['threat.indicator.file.hash.sha3-384'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha512') && !doc['threat.indicator.file.hash.sha512'].empty && doc['threat.indicator.file.hash.sha512'].size()!=0 && doc['threat.indicator.file.hash.sha512'].value!=null) { return emit(doc['threat.indicator.file.hash.sha512'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha3-512') && !doc['threat.indicator.file.hash.sha3-512'].empty && doc['threat.indicator.file.hash.sha3-512'].size()!=0 && doc['threat.indicator.file.hash.sha3-512'].value!=null) { return emit(doc['threat.indicator.file.hash.sha3-512'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha512/224') && !doc['threat.indicator.file.hash.sha512/224'].empty && doc['threat.indicator.file.hash.sha512/224'].size()!=0 && doc['threat.indicator.file.hash.sha512/224'].value!=null) { return emit(doc['threat.indicator.file.hash.sha512/224'].value) }
        if (doc.containsKey('threat.indicator.file.hash.sha512/256') && !doc['threat.indicator.file.hash.sha512/256'].empty && doc['threat.indicator.file.hash.sha512/256'].size()!=0 && doc['threat.indicator.file.hash.sha512/256'].value!=null) { return emit(doc['threat.indicator.file.hash.sha512/256'].value) }
        if (doc.containsKey('threat.indicator.file.hash.ssdeep') && !doc['threat.indicator.file.hash.ssdeep'].empty && doc['threat.indicator.file.hash.ssdeep'].size()!=0 && doc['threat.indicator.file.hash.ssdeep'].value!=null) { return emit(doc['threat.indicator.file.hash.ssdeep'].value) }
        if (doc.containsKey('threat.indicator.file.hash.tlsh') && !doc['threat.indicator.file.hash.tlsh'].empty && doc['threat.indicator.file.hash.tlsh'].size()!=0 && doc['threat.indicator.file.hash.tlsh'].value!=null) { return emit(doc['threat.indicator.file.hash.tlsh'].value) }
        if (doc.containsKey('threat.indicator.file.hash.impfuzzy') && !doc['threat.indicator.file.hash.impfuzzy'].empty && doc['threat.indicator.file.hash.impfuzzy'].size()!=0 && doc['threat.indicator.file.hash.impfuzzy'].value!=null) { return emit(doc['threat.indicator.file.hash.impfuzzy'].value) }
        if (doc.containsKey('threat.indicator.file.hash.imphash') && !doc['threat.indicator.file.hash.imphash'].empty && doc['threat.indicator.file.hash.imphash'].size()!=0 && doc['threat.indicator.file.hash.imphash'].value!=null) { return emit(doc['threat.indicator.file.hash.imphash'].value) }
        if (doc.containsKey('threat.indicator.file.hash.pehash') && !doc['threat.indicator.file.hash.pehash'].empty && doc['threat.indicator.file.hash.pehash'].size()!=0 && doc['threat.indicator.file.hash.pehash'].value!=null) { return emit(doc['threat.indicator.file.hash.pehash'].value) }
        if (doc.containsKey('threat.indicator.file.hash.vhash') && !doc['threat.indicator.file.hash.vhash'].empty && doc['threat.indicator.file.hash.vhash'].size()!=0 && doc['threat.indicator.file.hash.vhash'].value!=null) { return emit(doc['threat.indicator.file.hash.vhash'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='url') { if (doc.containsKey('threat.indicator.url.full') && !doc['threat.indicator.url.full'].empty && doc['threat.indicator.url.full'].size()!=0 && doc['threat.indicator.url.full'].value!=null) { return emit(doc['threat.indicator.url.full'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='domain') { if (doc.containsKey('threat.indicator.url.domain') && !doc['threat.indicator.url.domain'].empty && doc['threat.indicator.url.domain'].size()!=0 && doc['threat.indicator.url.domain'].value!=null) { return emit(doc['threat.indicator.url.domain'].value) } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='domain-name') { if (doc.containsKey('threat.indicator.url.domain') && !doc['threat.indicator.url.domain'].empty && doc['threat.indicator.url.domain'].size()!=0 && doc['threat.indicator.url.domain'].value!=null) { return emit(doc['threat.indicator.url.domain'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='x509-certificate') { if (doc.containsKey('threat.indicator.x509.serial_number') && !doc['threat.indicator.x509.serial_number'].empty && doc['threat.indicator.x509.serial_number'].size()!=0 && doc['threat.indicator.x509.serial_number'].value!=null) { return emit(doc['threat.indicator.x509.serial_number'].value) } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='x509 serial') { if (doc.containsKey('threat.indicator.x509.serial_number') && !doc['threat.indicator.x509.serial_number'].empty && doc['threat.indicator.x509.serial_number'].size()!=0 && doc['threat.indicator.x509.serial_number'].value!=null) { return emit(doc['threat.indicator.x509.serial_number'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='email-addr') { if (doc.containsKey('threat.indicator.email.address') && !doc['threat.indicator.email.address'].empty && doc['threat.indicator.email.address'].size()!=0 && doc['threat.indicator.email.address'].value!=null) { return emit(doc['threat.indicator.email.address'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='unknown') { if (doc.containsKey('_id') && !doc['_id'].empty && doc['_id'].size()!=0 && doc['_id'].value!=null) { return emit(doc['_id'].value) } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='email') { if (doc.containsKey('_id') && !doc['_id'].empty && doc['_id'].size()!=0 && doc['_id'].value!=null) { return emit(doc['_id'].value) } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='email-message') { if (doc.containsKey('_id') && !doc['_id'].empty && doc['_id'].size()!=0 && doc['_id'].value!=null) { return emit(doc['_id'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='windows-registry-key') { if (doc.containsKey('threat.indicator.registry.key') && !doc['threat.indicator.registry.key'].empty && doc['threat.indicator.registry.key'].size()!=0 && doc['threat.indicator.registry.key'].value!=null) { return emit(doc['threat.indicator.registry.key'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='autonomous-system') { if (doc.containsKey('threat.indicator.as.number') && !doc['threat.indicator.as.number'].empty && doc['threat.indicator.as.number'].size()!=0 && doc['threat.indicator.as.number'].value!=null) { return emit(doc['threat.indicator.as.number'].value) } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='mac-addr') { if (doc.containsKey('threat.indicator.mac') && !doc['threat.indicator.mac'].empty && doc['threat.indicator.mac'].size()!=0 && doc['threat.indicator.mac'].value!=null) { return emit(doc['threat.indicator.mac'].value) } }

        return emit('') } catch (Exception e) { return emit('') }"
      `);
    });
  });

  describe('threatIndicatorNamesOriginScript()', () => {
    it('should generate a valid painless script', () => {
      expect(threatIndicatorNamesOriginScript()).toMatchInlineSnapshot(`
        "try { if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='ipv4-addr') { if (doc.containsKey('threat.indicator.ip') && !doc['threat.indicator.ip'].empty && doc['threat.indicator.ip'].size()!=0 && doc['threat.indicator.ip'].value!=null) { return emit('threat.indicator.ip') } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='ipv6-addr') { if (doc.containsKey('threat.indicator.ip') && !doc['threat.indicator.ip'].empty && doc['threat.indicator.ip'].size()!=0 && doc['threat.indicator.ip'].value!=null) { return emit('threat.indicator.ip') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='file') { if (doc.containsKey('threat.indicator.file.hash.sha256') && !doc['threat.indicator.file.hash.sha256'].empty && doc['threat.indicator.file.hash.sha256'].size()!=0 && doc['threat.indicator.file.hash.sha256'].value!=null) { return emit('threat.indicator.file.hash.sha256') }
        if (doc.containsKey('threat.indicator.file.hash.md5') && !doc['threat.indicator.file.hash.md5'].empty && doc['threat.indicator.file.hash.md5'].size()!=0 && doc['threat.indicator.file.hash.md5'].value!=null) { return emit('threat.indicator.file.hash.md5') }
        if (doc.containsKey('threat.indicator.file.hash.sha1') && !doc['threat.indicator.file.hash.sha1'].empty && doc['threat.indicator.file.hash.sha1'].size()!=0 && doc['threat.indicator.file.hash.sha1'].value!=null) { return emit('threat.indicator.file.hash.sha1') }
        if (doc.containsKey('threat.indicator.file.hash.sha224') && !doc['threat.indicator.file.hash.sha224'].empty && doc['threat.indicator.file.hash.sha224'].size()!=0 && doc['threat.indicator.file.hash.sha224'].value!=null) { return emit('threat.indicator.file.hash.sha224') }
        if (doc.containsKey('threat.indicator.file.hash.sha3-224') && !doc['threat.indicator.file.hash.sha3-224'].empty && doc['threat.indicator.file.hash.sha3-224'].size()!=0 && doc['threat.indicator.file.hash.sha3-224'].value!=null) { return emit('threat.indicator.file.hash.sha3-224') }
        if (doc.containsKey('threat.indicator.file.hash.sha3-256') && !doc['threat.indicator.file.hash.sha3-256'].empty && doc['threat.indicator.file.hash.sha3-256'].size()!=0 && doc['threat.indicator.file.hash.sha3-256'].value!=null) { return emit('threat.indicator.file.hash.sha3-256') }
        if (doc.containsKey('threat.indicator.file.hash.sha384') && !doc['threat.indicator.file.hash.sha384'].empty && doc['threat.indicator.file.hash.sha384'].size()!=0 && doc['threat.indicator.file.hash.sha384'].value!=null) { return emit('threat.indicator.file.hash.sha384') }
        if (doc.containsKey('threat.indicator.file.hash.sha3-384') && !doc['threat.indicator.file.hash.sha3-384'].empty && doc['threat.indicator.file.hash.sha3-384'].size()!=0 && doc['threat.indicator.file.hash.sha3-384'].value!=null) { return emit('threat.indicator.file.hash.sha3-384') }
        if (doc.containsKey('threat.indicator.file.hash.sha512') && !doc['threat.indicator.file.hash.sha512'].empty && doc['threat.indicator.file.hash.sha512'].size()!=0 && doc['threat.indicator.file.hash.sha512'].value!=null) { return emit('threat.indicator.file.hash.sha512') }
        if (doc.containsKey('threat.indicator.file.hash.sha3-512') && !doc['threat.indicator.file.hash.sha3-512'].empty && doc['threat.indicator.file.hash.sha3-512'].size()!=0 && doc['threat.indicator.file.hash.sha3-512'].value!=null) { return emit('threat.indicator.file.hash.sha3-512') }
        if (doc.containsKey('threat.indicator.file.hash.sha512/224') && !doc['threat.indicator.file.hash.sha512/224'].empty && doc['threat.indicator.file.hash.sha512/224'].size()!=0 && doc['threat.indicator.file.hash.sha512/224'].value!=null) { return emit('threat.indicator.file.hash.sha512/224') }
        if (doc.containsKey('threat.indicator.file.hash.sha512/256') && !doc['threat.indicator.file.hash.sha512/256'].empty && doc['threat.indicator.file.hash.sha512/256'].size()!=0 && doc['threat.indicator.file.hash.sha512/256'].value!=null) { return emit('threat.indicator.file.hash.sha512/256') }
        if (doc.containsKey('threat.indicator.file.hash.ssdeep') && !doc['threat.indicator.file.hash.ssdeep'].empty && doc['threat.indicator.file.hash.ssdeep'].size()!=0 && doc['threat.indicator.file.hash.ssdeep'].value!=null) { return emit('threat.indicator.file.hash.ssdeep') }
        if (doc.containsKey('threat.indicator.file.hash.tlsh') && !doc['threat.indicator.file.hash.tlsh'].empty && doc['threat.indicator.file.hash.tlsh'].size()!=0 && doc['threat.indicator.file.hash.tlsh'].value!=null) { return emit('threat.indicator.file.hash.tlsh') }
        if (doc.containsKey('threat.indicator.file.hash.impfuzzy') && !doc['threat.indicator.file.hash.impfuzzy'].empty && doc['threat.indicator.file.hash.impfuzzy'].size()!=0 && doc['threat.indicator.file.hash.impfuzzy'].value!=null) { return emit('threat.indicator.file.hash.impfuzzy') }
        if (doc.containsKey('threat.indicator.file.hash.imphash') && !doc['threat.indicator.file.hash.imphash'].empty && doc['threat.indicator.file.hash.imphash'].size()!=0 && doc['threat.indicator.file.hash.imphash'].value!=null) { return emit('threat.indicator.file.hash.imphash') }
        if (doc.containsKey('threat.indicator.file.hash.pehash') && !doc['threat.indicator.file.hash.pehash'].empty && doc['threat.indicator.file.hash.pehash'].size()!=0 && doc['threat.indicator.file.hash.pehash'].value!=null) { return emit('threat.indicator.file.hash.pehash') }
        if (doc.containsKey('threat.indicator.file.hash.vhash') && !doc['threat.indicator.file.hash.vhash'].empty && doc['threat.indicator.file.hash.vhash'].size()!=0 && doc['threat.indicator.file.hash.vhash'].value!=null) { return emit('threat.indicator.file.hash.vhash') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='url') { if (doc.containsKey('threat.indicator.url.full') && !doc['threat.indicator.url.full'].empty && doc['threat.indicator.url.full'].size()!=0 && doc['threat.indicator.url.full'].value!=null) { return emit('threat.indicator.url.full') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='domain') { if (doc.containsKey('threat.indicator.url.domain') && !doc['threat.indicator.url.domain'].empty && doc['threat.indicator.url.domain'].size()!=0 && doc['threat.indicator.url.domain'].value!=null) { return emit('threat.indicator.url.domain') } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='domain-name') { if (doc.containsKey('threat.indicator.url.domain') && !doc['threat.indicator.url.domain'].empty && doc['threat.indicator.url.domain'].size()!=0 && doc['threat.indicator.url.domain'].value!=null) { return emit('threat.indicator.url.domain') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='x509-certificate') { if (doc.containsKey('threat.indicator.x509.serial_number') && !doc['threat.indicator.x509.serial_number'].empty && doc['threat.indicator.x509.serial_number'].size()!=0 && doc['threat.indicator.x509.serial_number'].value!=null) { return emit('threat.indicator.x509.serial_number') } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='x509 serial') { if (doc.containsKey('threat.indicator.x509.serial_number') && !doc['threat.indicator.x509.serial_number'].empty && doc['threat.indicator.x509.serial_number'].size()!=0 && doc['threat.indicator.x509.serial_number'].value!=null) { return emit('threat.indicator.x509.serial_number') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='email-addr') { if (doc.containsKey('threat.indicator.email.address') && !doc['threat.indicator.email.address'].empty && doc['threat.indicator.email.address'].size()!=0 && doc['threat.indicator.email.address'].value!=null) { return emit('threat.indicator.email.address') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='unknown') { if (doc.containsKey('_id') && !doc['_id'].empty && doc['_id'].size()!=0 && doc['_id'].value!=null) { return emit('_id') } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='email') { if (doc.containsKey('_id') && !doc['_id'].empty && doc['_id'].size()!=0 && doc['_id'].value!=null) { return emit('_id') } }
        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='email-message') { if (doc.containsKey('_id') && !doc['_id'].empty && doc['_id'].size()!=0 && doc['_id'].value!=null) { return emit('_id') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='windows-registry-key') { if (doc.containsKey('threat.indicator.registry.key') && !doc['threat.indicator.registry.key'].empty && doc['threat.indicator.registry.key'].size()!=0 && doc['threat.indicator.registry.key'].value!=null) { return emit('threat.indicator.registry.key') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='autonomous-system') { if (doc.containsKey('threat.indicator.as.number') && !doc['threat.indicator.as.number'].empty && doc['threat.indicator.as.number'].size()!=0 && doc['threat.indicator.as.number'].value!=null) { return emit('threat.indicator.as.number') } }

        if (doc.containsKey('threat.indicator.type') && !doc['threat.indicator.type'].empty && doc['threat.indicator.type'].size()!=0 && doc['threat.indicator.type'].value!=null && doc['threat.indicator.type'].value.toLowerCase()=='mac-addr') { if (doc.containsKey('threat.indicator.mac') && !doc['threat.indicator.mac'].empty && doc['threat.indicator.mac'].size()!=0 && doc['threat.indicator.mac'].value!=null) { return emit('threat.indicator.mac') } }

        return emit('') } catch (Exception e) { return emit('') }"
      `);
    });
  });
});
