/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { getSeverityText } from './get_vulnerability_text';
describe('getSeverityStatusColor', () => {
  it('should return the correct color for LOW severity', () => {
    expect(getSeverityText('LOW')).toBe('Low');
  });

  it('should return the correct color for MEDIUM severity', () => {
    expect(getSeverityText('MEDIUM')).toBe('Medium');
  });

  it('should return the correct color for HIGH severity', () => {
    expect(getSeverityText('HIGH')).toBe('High');
  });

  it('should return the correct color for CRITICAL severity', () => {
    expect(getSeverityText('CRITICAL')).toBe('Critical');
  });

  it('should return #aaa for an unknown severity', () => {
    expect(getSeverityText('UNKNOWN')).toBe('None');
  });
});
