/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { VulnSeverity } from '@kbn/cloud-security-posture-common';
import { VULNERABILITIES_SEVERITY } from '@kbn/cloud-security-posture-common';

export const getSeverityText = (severity: VulnSeverity): string => {
  switch (severity) {
    case VULNERABILITIES_SEVERITY.LOW:
      return 'Low';
    case VULNERABILITIES_SEVERITY.MEDIUM:
      return 'Medium';
    case VULNERABILITIES_SEVERITY.HIGH:
      return 'High';
    case VULNERABILITIES_SEVERITY.CRITICAL:
      return 'Critical';
    default:
      return 'None';
  }
};
