/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { CnvmDashboardData } from '../../../../common/types_old';

export const mockCnvmDashboardData: CnvmDashboardData = {
  cnvmStatistics: {
    criticalCount: 101,
    highCount: 4715,
    mediumCount: 10537,
    resourcesScanned: 81,
    cloudAccounts: 1,
  },
  vulnTrends: [
    {
      high: 4754,
      policy_template: 'vuln_mgmt',
      '@timestamp': '2023-06-21T12:22:57.515212Z',
      critical: 101,
      low: 3657,
      vulnerabilities_stats_by_cloud_account: {
        '704479110758': {
          cloudAccountName: 'elastic-security-cloud-security-dev',
          high: 4754,
          critical: 101,
          low: 3657,
          cloudAccountId: '704479110758',
          medium: 10931,
        },
      },
      medium: 10931,
    },
  ],
  topVulnerableResources: [
    {
      resource: { id: '0f7888a8ef7fdcbb4', name: 'kfir-June8-8-8-0-3mF' },
      vulnerabilityCount: 1544,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '042985d76403bab90', name: 'kfir3-june12-8-8-0-41B' },
      vulnerabilityCount: 1531,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '03dd0d62f0f8a11c6', name: 'dg-6-wl5' },
      vulnerabilityCount: 1508,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '0ba9cce1f0984b413', name: 'daily-env-8.7-vanilla' },
      vulnerabilityCount: 880,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '0a2dc4a316cdefd0a', name: 'TrackLiveEnvironment' },
      vulnerabilityCount: 588,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '089a865e3fe1fe29b', name: 'cloudbeat-tf-5jA-2' },
      vulnerabilityCount: 316,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '05b9d80b6e99ae260', name: 'cloudbeat-tf-5jA-2' },
      vulnerabilityCount: 312,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '0e025869ddc1fbc7c', name: 'cloudbeat-tf-5jA-1' },
      vulnerabilityCount: 304,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '0407769a810e06483', name: 'cloudbeat-tf-5jA-1' },
      vulnerabilityCount: 302,
      cloudRegion: 'eu-west-1',
    },
    {
      resource: { id: '0bb44b16a366c7ad9', name: 'cloudbeat-tf-5jA-2' },
      vulnerabilityCount: 302,
      cloudRegion: 'eu-west-1',
    },
  ],
  topPatchableVulnerabilities: [
    {
      cve: 'CVE-2022-41723',
      cvss: { score: 7.5, version: '3.1' },
      packageFixVersion: '0.7.0',
      vulnerabilityCount: 380,
    },
    {
      cve: 'CVE-2022-41717',
      cvss: { score: 5.300000190734863, version: '3.1' },
      packageFixVersion: '0.4.0',
      vulnerabilityCount: 331,
    },
    {
      cve: 'CVE-2022-27664',
      cvss: { score: 7.5, version: '3.1' },
      packageFixVersion: '0.0.0-20220906165146-f3363e06e74c',
      vulnerabilityCount: 232,
    },
    {
      cve: 'CVE-2021-37600',
      cvss: { score: 5.5, version: '3.1' },
      packageFixVersion: '2.30.2-2.amzn2.0.11',
      vulnerabilityCount: 168,
    },
    {
      cve: 'CVE-2023-2253',
      cvss: { score: 7.5, version: '3.1' },
      packageFixVersion: '2.8.2-beta.1',
      vulnerabilityCount: 160,
    },
    {
      cve: 'CVE-2023-28840',
      cvss: { score: 7.5, version: '3.1' },
      packageFixVersion: '23.0.3, 20.10.24',
      vulnerabilityCount: 150,
    },
    {
      cve: 'CVE-2023-28841',
      cvss: { score: 6.800000190734863, version: '3.1' },
      packageFixVersion: '23.0.3, 20.10.24',
      vulnerabilityCount: 150,
    },
    {
      cve: 'CVE-2023-28842',
      cvss: { score: 6.800000190734863, version: '3.1' },
      packageFixVersion: '23.0.3, 20.10.24',
      vulnerabilityCount: 150,
    },
    {
      cve: 'CVE-2023-2609',
      cvss: { score: 7.800000190734863, version: '3.1' },
      packageFixVersion: '2:9.0.1592-1.amzn2.0.1',
      vulnerabilityCount: 140,
    },
    {
      cve: 'CVE-2023-2610',
      cvss: { score: 7.800000190734863, version: '3.1' },
      packageFixVersion: '2:9.0.1592-1.amzn2.0.1',
      vulnerabilityCount: 140,
    },
  ],
  topVulnerabilities: [
    {
      cve: 'CVE-2022-41723',
      packageFixVersion: '0.7.0',
      packageName: 'golang.org/x/net',
      packageVersion: 'v0.0.0-20220127200216-cd36cc0744dd',
      severity: 'HIGH',
      vulnerabilityCount: 380,
      cvss: { score: 7.5, version: '3.1' },
    },
    {
      cve: 'CVE-2020-8911',
      packageFixVersion: '',
      packageName: 'github.com/aws/aws-sdk-go',
      packageVersion: 'v1.38.60',
      severity: 'MEDIUM',
      vulnerabilityCount: 340,
      cvss: { score: 5.599999904632568, version: '3.1' },
    },
    {
      cve: 'CVE-2020-8912',
      packageFixVersion: '',
      packageName: 'github.com/aws/aws-sdk-go',
      packageVersion: 'v1.38.60',
      severity: 'LOW',
      vulnerabilityCount: 340,
      cvss: { score: 2.5, version: '3.1' },
    },
    {
      cve: 'CVE-2022-41717',
      packageFixVersion: '0.4.0',
      packageName: 'golang.org/x/net',
      packageVersion: 'v0.0.0-20220127200216-cd36cc0744dd',
      severity: 'MEDIUM',
      vulnerabilityCount: 331,
      cvss: { score: 5.300000190734863, version: '3.1' },
    },
    {
      cve: 'CVE-2022-27664',
      packageFixVersion: '0.0.0-20220906165146-f3363e06e74c',
      packageName: 'golang.org/x/net',
      packageVersion: 'v0.0.0-20220127200216-cd36cc0744dd',
      severity: 'HIGH',
      vulnerabilityCount: 232,
      cvss: { score: 7.5, version: '3.1' },
    },
    {
      cve: 'CVE-2021-37600',
      packageFixVersion: '2.30.2-2.amzn2.0.11',
      packageName: 'libblkid',
      packageVersion: '2.30.2-2.amzn2.0.10',
      severity: 'LOW',
      vulnerabilityCount: 168,
      cvss: { score: 5.5, version: '3.1' },
    },
    {
      cve: 'CVE-2022-3219',
      packageFixVersion: '',
      packageName: 'dirmngr',
      packageVersion: '2.2.27-3ubuntu2.1',
      severity: 'LOW',
      vulnerabilityCount: 165,
      cvss: { score: 3.299999952316284, version: '3.1' },
    },
    {
      cve: 'CVE-2023-2253',
      packageFixVersion: '2.8.2-beta.1',
      packageName: 'github.com/docker/distribution',
      packageVersion: 'v2.8.1+incompatible',
      severity: 'HIGH',
      vulnerabilityCount: 160,
      cvss: { score: 7.5, version: '3.1' },
    },
    {
      cve: 'CVE-2023-28840',
      packageFixVersion: '23.0.3, 20.10.24',
      packageName: 'github.com/docker/docker',
      packageVersion: 'v1.13.1',
      severity: 'HIGH',
      vulnerabilityCount: 150,
      cvss: { score: 7.5, version: '3.1' },
    },
    {
      cve: 'CVE-2023-28841',
      packageFixVersion: '23.0.3, 20.10.24',
      packageName: 'github.com/docker/docker',
      packageVersion: 'v1.13.1',
      severity: 'MEDIUM',
      vulnerabilityCount: 150,
      cvss: { score: 6.800000190734863, version: '3.1' },
    },
  ],
};
