/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export enum DASHBOARD_TABLE_TYPES {
  TOP_VULNERABLE_RESOURCES = 'topVulnerableResources',
  TOP_PATCH_VULNERABILITIES = 'topPatchVulnerabilities',
  TOP_VULNERABILITIES = 'topVulnerabilities',
}

export const vulnerabilityDashboardTableContent = {
  [DASHBOARD_TABLE_TYPES.TOP_VULNERABLE_RESOURCES]: {
    title: i18n.translate('xpack.csp.cnvmDashboardTable.panel.topVulnerableResources.title', {
      defaultMessage: 'Top 10 vulnerable resources',
    }),
    viewAllLinkText: i18n.translate(
      'xpack.csp.vulnerabilityTable.panel.allVulnerableResourcesLinkText',
      {
        defaultMessage: 'View all vulnerable resources',
      }
    ),
  },
  [DASHBOARD_TABLE_TYPES.TOP_PATCH_VULNERABILITIES]: {
    title: i18n.translate('xpack.csp.cnvmDashboardTable.panel.topPatchVulnerabilities.title', {
      defaultMessage: 'Top 10 patchable vulnerabilities',
    }),
    viewAllLinkText: i18n.translate(
      'xpack.csp.vulnerabilityTable.panel.allPatchableVulnerabilitiesLinkText',
      {
        defaultMessage: 'View all patchable vulnerabilities',
      }
    ),
  },
  [DASHBOARD_TABLE_TYPES.TOP_VULNERABILITIES]: {
    title: i18n.translate('xpack.csp.cnvmDashboardTable.panel.topVulnerabilities.title', {
      defaultMessage: 'Top 10 vulnerabilities',
    }),
    viewAllLinkText: i18n.translate('xpack.csp.vulnerabilityTable.panel.buttonText', {
      defaultMessage: 'View all vulnerabilities',
    }),
  },
};
